---
title: Cockpit 0.113
date: 2016-07-07 17:30
tags: cockpit linux technical
slug: cockpit-0.113
category: release
summary: Cockpit releases every week. Here's highlights from 0.112 and 0.113.
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). There's a new release every week. Here are the highlights from this weeks 0.111 and 0.112 releases.

### Display time information for systemd timer jobs

Harish Anand a Google Summer of Code student working on Cockpit, and he's implementing
systemd timers. These are similar to cron jobs, and are a structured way of running
a command or other systemd unit at a specific time. Some of his initial work got merged,
and you can see it in action here:

<iframe width="853" height="480" src="//youtube.com/embed/2mGAlpZWQUQ?rel=0"
frameborder="0" allowfullscreen></iframe>

### Hide Unmanaged Network Interfaces

NetworkManager has the concept of marking certain network interfaces as "unmanaged".
This is done with a ```NM_CONTROLLED="no"``` setting in a file placed in
```/etc/sysconfig/network-scripts/```. Cockpit now respects the admins wishes and
and hides such interfaces from its Network configuration.

The *On/Off* switch is also disabled appropriately for unknown interfaces.

### Network bonds are created with Active/Backup

When a new network bond is created the *Active/Backup* mode is used as
the default. This is a more common choice for admins, and makes sense
to point people in this direction.

![Bond Active/Backup](/images/cockpit-active-backup.png)

### Added textual fields to container resource sliders

Users can now type actual amounts in memory megabytes, or CPU shares
when starting a container, in addition to being able to use a slider.

![Resource Slider Text](/images/cockpit-resource-sliders-text.png)

### Disable tuned correctly when disabling performance profiles

The tuned service needs to be stopped and disabled when choosing the "none"
performance profile. The behavior now lines up with what users expect
using the ```tuned-adm``` command line tooling.

### From the Future

Lars [is working on](https://github.com/cockpit-project/cockpit/pull/4633) making the
terminal be resizable, so you're not limited to a small display when working on
the machine.

### Try it out

Cockpit 0.113 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/0.113)
 * [Fedora 24](https://bodhi.fedoraproject.org/updates/cockpit-0.113-1.fc24)
 * [COPR for Fedora 23, CentOS and RHEL](https://copr.fedoraproject.org/coprs/g/cockpit/cockpit-preview/)

