---
title: Cockpit 122
date: 2016-11-03 20:31
tags: cockpit linux technical
slug: cockpit-122
category: release
summary: About bastion hosts and other highlights from version 122
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release
regularly. Here are the release notes from version 122

### Logging into a system via a Bastion Host

On the Cockpit login screen you can now choose an alternate host to connect
to. Cockpit with use SSH to authenticate you against that host, and display
the admin interface for that host.

Although browsers cannot use SSH directly to connect to machines or
authenticate against them, Cockpit can make this happen. Only one host
needs to have Cockpit listen on port 9090 available to browsers over TLS,
and other hosts can only have SSH accessible on the usual port 22.

Here's an example:

<iframe width="853" height="480" src="//youtube.com/embed/yc64DUydciI" frameborder="0" allowfullscreen></iframe>

### Works with UDisks in addition to storaged

[storaged](https://github.com/storaged-project/storaged)
is an actively maintained API for configuring storage on a Linux system.
It is a fork of the older
[UDisks](https://www.freedesktop.org/wiki/Software/udisks/). storaged
has additional functionality, like LVM, iSCSI and Btrfs and a large number
of stability fixes.

However some systems like older RHEL or Ubuntu don't yet have storaged.
Cockpit can now also use the older UDisks to configure storage on a system.
A large number of features are disabled, but basic functionality is present.


### Explicitly specify javascript dependency versions

Cockpit's bundles various javascript dependencies in its admin interfaces,
such as
[Patternfly](http://www.patternfly.org) or
[React](https://reactjs.org/). In order to help packagers
we've now explicitly specified the versions of those dependencies. And
during development we pull them in using the standard
[Bower](https://bower.io/) registry.

You can see [those versions here](https://raw.githubusercontent.com/cockpit-project/cockpit/master/bower.json).

### From the future

Lars has worked on functionality to show the OpenSCAP security scan results
for containers. This uses the usual ```atomic scan``` functionality that
you see on Atomic Host.

![Virtual Machines](/images/image-scanning.png)

### Try it out

Cockpit 122 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/122)
 * [Fedora 25](https://bodhi.fedoraproject.org/updates/cockpit-122-1.fc25)
 * [COPR for Fedora, CentOS and RHEL](https://copr.fedoraproject.org/coprs/g/cockpit/cockpit-preview/)
