---
title: Cockpit 125
author: stef
date: 2016-11-25 09:14
tags: cockpit linux
slug: cockpit-125
category: release
summary: Cockpit is properly translatable and displays OSTree signatures.
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release
regularly. Here are the release notes from version 123, 124 and 125.

### Cockpit is now properly translatable

Cockpit is now properly translatable. It was a big task to extract
all the translatable strings and make translations work consistently
between the browser and installed tools like the bridge.

We now start also run the login user session with a proper locale and
```LANG``` environment variables.

You can help
[translate cockpit in Zanata](https://fedora.zanata.org/iteration/view/cockpit/master)
or if you find text in the frontend that isn't translatable, then
please do report it.

![Display Language Dialog](/images/translatable.png)

### Display OSTree signatures

Peter implement displaying
[OSTree tree](http://www.projectatomic.io/docs/os-updates/) signatures. You
can tell where a certain update tree came from and who signed it.

![Display Language Dialog](/images/ostree-signatures.png)

### New expandable views for storage partitions

Marius implemented expandable views in the *Storage* pages. These let
you dive into the details of a particular partition without having
to navigate away from the page describing where it lives.

![Expandable Logical Volumes](/images/storage-listing.png)

### Other storage fixes

Marius did work to fix many other storage related bugs. In particular
Cockpit now deals properly with passphrases stored for LUKS encrypted
devices, and also no longer offers to format read-only block devices.

### Full testing on RHEL 7.3, Ubuntu 16.04 and Debian 8 Jessie

The Cockpit project started testing on Cockpit on RHEL 7.3, Ubuntu 16.04
and Debian 8 Jessie along with the operating systems we tested with earlier.
These will be part of our usual continuous integration, where we boot
thousands or tens of thousands of instances per day to test code changes
and contributions.

Marius fixed many bugs we found, and filed operating system bugs in
the issue trackers for those operating systems.

You can see the [which operating systems](https://cockpit-project.org/running.html)
we test Cockpit on. There's no Debian Jessie repository yet, but hopefully
we can have that ready as time permits.

### System shutdown can be scheduled by date

Fridolin did work a long time ago, so that users could select a specific
date and time to schedule a shutdown or reboot of the system. Stef
finished that work added tests and it's now in Cockpit.

![Expandable Logical Volumes](/images/shutdown-date.png)

### Properly terminate user sessions on the Accounts page

The *Accounts* page now properly terminates user sessions when the
*Terminate Session* button is clicked. We use the correct systemd
[loginctl](https://www.freedesktop.org/software/systemd/man/loginctl.html)
commands.

### Try it out

Cockpit 125 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/125)
 * [Fedora 25](https://bodhi.fedoraproject.org/updates/cockpit-125-1.fc25)
