---
title: Cockpit 128 and 129
author: dperpeet
date: 2017-01-19 09:00
tags: cockpit linux
slug: cockpit-129
category: release
summary: Cockpit supports rebasing on Atomic Host with OSTree.
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release
regularly. Here are the release notes from version 128 and 129.

### Manage remotes and rebasing in OSTree

When working with OSTrees on operating systems like [Atomic Host](http://www.projectatomic.io/docs/os-updates/)
there will often be multiple branches to choose from. For example there may be a beta version of the operating system.
Thanks to Peter's work, Cockpit can now switch between branches and view and activate OSTrees from those branches.
Also, Cockpit supports managing multiple remotes and viewing their branches. Remotes are a way of describing
where OSTree should pull updates from. Take a look at the video below for a demo.

<iframe width="560" height="315" src="//youtube.com/embed/dF8M3xq9FcI" frameborder="0" allowfullscreen></iframe>

### The subpackage cockpit-dashboard has been split out

The new ```cockpit-dashboard``` subpackage contains the dashboard itself and
the ```cockpit-ssh``` process. Eventually this paves the way for more flexibility
regarding authentication processes, but for now ```cockpit-ws``` unconditionally
depends on ```cockpit-dashboard```, and also requires the identical versions.
Nothing changes for those who install the ```cockpit``` package. But this allows more
flexibility when using Cockpit for specific use cases.

### Issues upgrading Cockpit on Debian and Fedora have been fixed

Our packaging changes in recent versions broke upgrading Cockpit on Debian and Fedora.
This is fixed now and updates should work properly once again.

### On Atomic, sosreport works again

A bug that prevented the diagnostic tool sosreport from working on Atomic systems was fixed.
Generating and accessing these diagnostic reports can be very helpful when diagnosing or
reporting an issue on the system.

### Optionally disable the dependency on libssh

When configuring Cockpit, the option ```disable-ssh``` disables building ```cockpit-ssh``` and removes the
dependency on ```libssh```. This is useful when building on an operating system where ```libssh``` is not available.

### Try it out

Cockpit 129 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/129)
 * [Fedora 25](https://bodhi.fedoraproject.org/updates/cockpit-129-1.fc25)
