---
title: Cockpit 136 and 137
author: dperpeet
date: 2017-03-30 22:00
tags: cockpit linux
slug: cockpit-137
category: release
summary: Cockpit with menu and storage changes
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from versions 136 and 137.

### Reordered entries in the sidebar menu

As a followup to the new look, the entries in the sidebar menu have now been reordered in a more sensible fashion:

 * System information
 * Logs for troubleshooting
 * Configuring major subsystems: Storage, Networking
 * What's running: Containers and Virtual Machines
 * Implementation details: Admin accounts, Services/Units

Check out the screenshot below to see how this looks now.

![Sidebar order](/images/cockpit-menu-order.png)

### Storage management is more convenient

In order to make configuring storage more convenient, the Cockpit UI now prevents removing disks from a RAID when
removal would lead to data loss due to an insufficient number of remaining volumes in the RAID. Also, when creating
a Volume Group (LVM) or adding disk space to a Volume Group, unpartitioned space is now offered as a choice.
If selected, Cockpit automatically creates a partition before adding it to the Volume Group. Check out the screenshots
below to see how these features look.

![Remove RAID disk](/images/cockpit-remove-raid-disk.png)
![Add unpartitioned disk](/images/cockpit-storage-add-unpartitioned.png)

### Consider user known_hosts for ssh connections

When managing remote machines, Cockpit now considers known host keys in the user's `~/.ssh/known_hosts` in addition to
the system-wide `/etc/ssh/ssh_known_hosts`. This makes Cockpit behave more like the standard ssh client.

### Try it out

Cockpit 137 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/137)
 * [Fedora 25](https://bodhi.fedoraproject.org/updates/cockpit-137-1.fc25)
