---
title: Cockpit 142
author: pitti
date: 2017-06-09 16:00
tags: cockpit linux
slug: cockpit-142
category: release
summary: Cockpit with Virtual Machine improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from versions 141 and 142.

### Virtual machines display an interactive console

The Virtual Machines page now offers easy access to graphical consoles in the new "Console" tab. If the VM has a VNC server
enabled, then there is now an inline [noVNC](https://github.com/novnc/noVNC) console:

![Machines inline console](/images/machines-inline-console.png)

If the VM only has a SPICE server, or the inline console is not sufficient, you can use "Switch to Desktop Viewer" and with a
single button click open virt-viewer for that VM:

![Machines external console](/images/machines-external-console.png)

See it in action:

<iframe width="960" height="720" src="//youtube.com/embed/_zVi44KQ8KU?rel=0" frameborder="0" allowfullscreen></iframe>

### Document how to grant/restrict access via polkit rules

Users who are not administrators can normally not perform actions such as
changing the hostname or start/stop systemd services. The
[Privileges and Permissions](https://cockpit-project.org/guide/latest/privileges.html#privileges-polkit)
section in the guide and the
[systemd feature page](https://cockpit-project.org/guide/latest/feature-systemd.html) now describe how to use polkit
rules allow fine-grained permissions such as "that user can restart this particular service".

### Attempt to tear down used partitions when formatting disks

Trying to format a disk on the "Disks" page which still has partitions which are in use (mounted or used as an LVM
physical volume) will now attempt to unmount/remove the physical volume, instead of just failing:

![Automatic device teardown](/images/cockpit-storage-teardown-device.png)

### Try it out

Cockpit 142 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/142)
 * [Fedora 26](https://bodhi.fedoraproject.org/updates/cockpit-142-1.fc26)
