---
title: Cockpit 146
author: pitti
date: 2017-07-21 10:00
tags: cockpit linux
slug: cockpit-146
category: release
summary: Cockpit with Software Updates improvements and GCE support
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 146.

### Software Updates page shows more information

The Available Updates and Restart recommended pages now show the packages
from the previous update run. This makes it easier to see which services to
check or to decide whether a restart is really necessary:

![Update History](/images/updates-history.png)

The new Update Log expander shows the previous steps of the running update:

![Update Log](/images/updates-live-log.png)

### Improve available Software Updates layout for small/mobile screens

The Available Updates page now folds all information into a single column on
very narrow/mobile screens, to stay readable:

![Narrow Updates Page](/images/updates-narrow.png)

In addition, updates with a long changelog or a large number of subpackages now
get truncated, with a `More information…` expander. This avoids lots of empty
space that makes it difficult browse the updates list.

### Support OAuth Kubernetes logins with Google Compute Engine

The Kubernetes pages (Cluster) can now log into Google Compute Engine. Note
that there is no way to get information about the user, so they are being
displayed as `Unknown`.

### Fix reporting ABRT crashes that are already known to the server

Trying to report a crash (`Problems` category on the Logs page) that the FAF
server already knows previously caused an error message. This has been
corrected, and the report is now properly shown as `Reported`.

Thanks to Matej Marušák for this fix!

### Scroll the virtual machine VNC console into view automatically

When opening the builtin VNC console of a virtual machine, the page now
automatically gets scrolled to maximize visibility of the console.

Thanks to Marek Libra for this improvement!

### Try it out

Cockpit 146 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/146)
 * [Fedora 26](https://bodhi.fedoraproject.org/updates/cockpit-146-1.fc26)
