---
title: Cockpit 152
author: pitti
date: 2017-10-06 09:00
tags: cockpit linux
slug: cockpit-152
category: release
summary: Cockpit with new Applications page and automatic software updates
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 152.

### Add Applications page

This version introduces the "Applications" tool page. This is an extension
point for third-party software to add themselves to the Cockpit interface, by
shipping appropriate [AppStream](https://www.freedesktop.org/wiki/Distributions/AppStream/)
metadata.

Note that at the moment there are no real Cockpit applications available yet.
For testing this feature on Fedora, Marius Vollmer provides a
[COPR](https://copr.fedorainfracloud.org/coprs/mvo/cockpit-app-freeipa/)
repository that can be enabled with these commands:

```
dnf copr enable mvo/cockpit-app-freeipa
dnf install appstream-data-mvo
```

See it in action:

<iframe width="960" height="720" src="//youtube.com/embed/IXDqosBbAOc?rel=0" frameborder="0" allowfullscreen></iframe>

### Add automatic update configuration for dnf to Software Updates

On Fedora ≥ 26, the Software Updates page now offers to enable and configure
[dnf-automatic](https://fedoraproject.org/wiki/AutoUpdates) for automatic daily
or weekly updates.

For now this is only shown if the `dnf-automatic` package is already installed.
Future Cockpit versions will install that on demand, and also cover
Debian/Ubuntu systems.

![Automatic Updates](/images/updates-auto-day.png)

### Fix cockpit-bridge crash if /etc/os-release does not exist

Some environments (particularly Docker containers) might not have an
`/etc/os-release` file, which `cockpit-bridge` previously required.

### Try it out

Cockpit 152 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/152)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-152-1.fc27)
