---
title: Cockpit 155
author: pitti
date: 2017-11-06 17:00
tags: cockpit linux
slug: cockpit-155
category: release
summary: Cockpit with NFS client support
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 155.

### NFS client support

The Storage page now shows currently mounted NFS volumes and offers to
mount/unmount them. Note that this does not yet support Kerberos
authentication; for now this relies on the classic `hosts.allow`/`hosts.deny` ACLs.

See it in action:

<iframe width="960" height="720" src="//youtube.com/embed/PGCBda3Le9Y?rel=0" frameborder="0" allowfullscreen></iframe>

### Add "Maintenance" switch for oVirt hosts

Switching a host to maintenance mode causes all VMs to be migrated to another
running oVirt host.

![oVirt Maintenance mode](/images/ovirt-maintenance.png)

### Fix Terminal rendering issues in Chrome

Console programs like Midnight Commander which use graphical characters
were previously distorted in the Terminal in the Chrome Browser.

### Improve Ctrl+W behaviour in the Terminal

Ctrl+W is commonly being used in a Terminal shell to delete the last word, but
in web browsers it closes the current window or tab. Cockpit now causes a
confirmation dialog to pop up on Ctrl+W when the Terminal is focused to avoid
accidental closing.

### Support the upcoming OpenShift 3.7 release

When available, use the `rbac.authorization` API instead of the `policybinding`
API for determining project permissions. OpenShift 3.7 now properly supports
the former and stops supporting the latter. Cockpit remains compatible with
older OpenShift releases.

### Try it out

Cockpit 155 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/155)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-155-1.fc27)
