---
title: Cockpit 156
author: pitti
date: 2017-11-16 08:00
tags: cockpit linux
slug: cockpit-156
category: release
summary: Cockpit with navigation redesign
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 156.

### Redesign main navigation and support mobile browsing

The top-level dashboard menus and second-level menus of them have been
redesigned to clarify the structure, be more extensible, and use less vertical
screen space:

![desktop mode](/images/mobilenav-desktop.png)

This version introduces proper support for using on mobile phones and tablets.
As part of this, the login screen was rearranged in mobile mode to avoid
overlapping the on-screen keyboard with the user/password input fields:

| ![mobile mode with menu](/images/mobilenav-mobile-menu.png) | &nbsp; | ![mobile login page](/images/mobilenav-login.png) |

### Add project homepage links to Apps page

Applications on the Apps page now show a link to the project home page, if
provided in the AppStream metadata:

![apps homepage link](/images/apps-homepage-link.png)

Thanks Benjamin Deering for this feature!

### Support alternate Kerberos keytabs

If present, Cockpit will now use the Kerberos `/etc/cockpit/krb5.keytab` file
instead of the default system keytab `/etc/krb5.keytab`.

See the [Single Sign On documentation](/guide/latest/sso.html#sso-server) for
details.

### Maintain an /etc/issue(5) file with current Cockpit status

Cockpit now maintains a `/run/cockpit/issue` file with instructions how to
enable Cockpit (when disabled) or the Cockpit URL (when enabled).

The next util-linux 2.32 release will
[support](https://github.com/karelzak/util-linux/commit/1fc82a1360305f696dc1be6105c9c56a9ea03f52)
`/etc/issue.d/*.issue` drop-ins. Distributions or users can make use of this by
installing an `/etc/issue.d/01-cockpit.issue` symlink to the above file.

### Use event-driven refresh of oVirt virtual machine data instead of polling

This makes the page much more reactive and use less resources.

Thanks to Marek Libra for this improvement!

### Try it out

Cockpit 156 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/156)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-156-1.fc27)
