---
title: Cockpit 158
author: pitti
date: 2017-12-13 09:30
tags: cockpit linux
slug: cockpit-158
category: release
summary: Cockpit with NFS client improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 158.

### Add check boxes for common NFS mount options

Setting up an NFS mount point on the Storage page now offers check boxes for
the most common mount options: "Mount at boot" and "Mount read only". Other
arbitrary options can still be given in the "Custom" input line, as before.

![NFS option checkboxes](/images/storage-nfs-option-checkboxes.png)

### Clarify Software Update status if only security updates are available

In that case the status message is now "n security fixes" instead of "n
updates, including n security fixes".

### Create self-signed certificates with SubjectAltName

When connecting to Cockpit through SSL (https://...) without explicitly
configuring a certificate, Cockpit generates a self-signed one. This
certificate now has a `SubjectAltName:` field that is valid for
localhost/127.0.0.1. Some browsers, like Chromium, require this field to accept
a certificate for an SSL connection.

This allows administrators or users to import Cockpit's certificate into the
system oder user certificate database so that web browsers can connect to
Cockpit without SSL errors:

```
openssl s_client -connect 127.0.0.1:9090 < /dev/null | \
    sed -ne '/-BEGIN CERTIFICATE-/,/-END CERTIFICATE-/p' > /tmp/cert.pem
certutil -d sql:$HOME/.pki/nssdb -A -t "TC,C,P" -n cockpit -i /tmp/cert.pem
```

### Try it out

Cockpit 158 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/158)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-158-1.fc27)
