---
title: Cockpit 159
author: pitti
date: 2018-01-10 10:30
tags: cockpit linux
slug: cockpit-159
category: release
summary: Cockpit with VDO support and VM improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 159.

### Configure data deduplication with VDO devices

The "Virtual Data Optimizer" is a new feature to eliminate duplication and add
compression to block devices. This is mostly aimed at providing storage for
virtual machines or object storage systems like Ceph.

This is being developed upstream by the [dm-vdo GitHub
project](https://github.com/dm-vdo). It is currently available in
[RHEL 7.5 alpha](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/storage_administration_guide/vdo)
and expected to land in other distributions eventually.

Cockpit's Storage page can now create and configure VDO devices. See it in action:

<iframe width="960" height="720" src="//youtube.com/embed/_iOYN4Y24aY?rel=0" frameborder="0" allowfullscreen></iframe>

### Add serial console to virtual Machines page and redesign the Consoles tab

The Machines page has offered in-browser and external VNC console access to
virtual machines for some time. However, this does not work on "headless"
virtual machines that don't provide a (virtual) graphics card and VNC libvirt
device.  The Consoles tab now offers a serial console for these kind of VMs to
be able to administer them from Cockpit as well.

This went along with a redesign of the Consoles tab to better fit the various
types of consoles.

See it in action:

<iframe width="960" height="720" src="//youtube.com/embed/nT2EA6wYkKI?rel=0" frameborder="0" allowfullscreen></iframe>

Thanks to Marek Libra for this feature!

### Show more error message details for VM failures on virtual Machines page

Errors from virtual machine operations on the Storage page can now be expanded
to show more details:

![VM error expander](/images/machines-error-expander.png)

Thanks to Marek Libra for this improvement!

### Try it out

Cockpit 159 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/159)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-159-1.fc27)
