---
title: Cockpit 161
author: pitti
date: 2018-02-07 10:00
tags: cockpit linux
slug: cockpit-161
category: release
summary: Cockpit with Virtual Machines, LVM, and Hardware Information improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 161.

### New VMs can be created on Machines page

The Machines page now has a "Create New VM" button for installing a new libvirt
virtual machine from a local or remote ISO image. It allows the user to set
some basic properties such as memory and storage sizes.

![Machines Create new VM](/images/machines-create-iso.png)

Thanks to Dominik Perpeet and suomiy for this feature!

### VMs running in Kubernetes can now be deleted

[Cockpit 160](https://cockpit-project.org/blog/cockpit-160.html) added an
initial overview of kubevirt Virtual Machines. This page now got a first action
to delete a running VM.

![kubevirt Delete](/images/kubernetes-kubevirt-delete.png)

Thanks to Marek Libra for this feature!

### Improve LVM volume resizing

Cockpit now knows upfront whether shrinking or growing an LVM logical volume is
possible, and whether the filesystem needs to be unmounted.  Since shrinking
and growing are quite different in practice, the Storage page now shows
separate "Shrink" and "Grow" buttons. See it in action:

<iframe width="960" height="720" src="//youtube.com/embed/M43yTrJ0jzc?rel=0" frameborder="0" allowfullscreen></iframe>

### Add new Hardware Information page

On the System page the "Hardware" name is now a link to a new "Hardware
information" page. For now this shows information about the system name, form
factor, CPU, BIOS, and PCI devices. Other types of hardware will be added in
future versions.

![System Hardware Info](/images/system-hwinfo.png)

### Rename cockpit-ovirt package to cockpit-machines-ovirt

The previous package name collided with a package that is already available in
Red Hat Virtualization Host. This only affects Fedora, as other operating systems
do not ship the Cockpit ovirt extension.

### Stop advertising and supporting cockpit-bundled jQuery library

Cockpit's [JavaScript API documentation](https://cockpit-project.org/guide/latest/api-base1-jquery.html)
previously had some outdated information about jQuery, suggesting that users of
the Cockpit API should always load jQuery, and use the one bundled with `cockpit.js`.
This has not been true for a long time, and was just forgotten to be cleaned up.
Previously the Cockpit code examples also did that, misleading developers who
used them as a starting point for their own modules.

Both the documentation and the examples got cleaned up now, and issues got
filed on affected GitHub projects. From now on, please use your own jQuery
module for your projects instead of cockpit's bundled one. This avoids breaking
your project when cockpit's jQuery version gets updated.

### Try it out

Cockpit 161 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/161)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-161-1.fc27)
