---
title: Cockpit 162
author: pitti
date: 2018-02-21 10:30
tags: cockpit linux
slug: cockpit-162
category: release
summary: Cockpit with Virtual Machines improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 162.

### Show pod name and disks of VMs running in Kubernetes

The KubeVirt Virtual Machines overview now shows the pod of running VMs.
Clicking on the name navigates to the pod's detail page.

The new "Disks" tab shows information about the emulated QEMU storage devices
in the VM, similar to the Machines page.

![KubeVirt pod name](/images/kubernetes-kubevirt-podname.png)

![KubeVirt Disks](/images/kubernetes-kubevirt-disks.png)

Thanks to Marek Libra for this feature!

### Tighten up the default Content-Security-Policy

Cockpit's pages now further restrict their
[Content-Security-Policy](https://developer.mozilla.org/en-US/docs/Web/HTTP/CSP)
to prevent forms and links from accidentally leaking data off-host.

An additional benefit is improved privacy, as `Referrer:` headers are no longer
sent when following a link in Cockpit to an external site. (One common place
where Cockpit links externally is on changelogs in the Software Updates page.)

Note that this is *not* an actual security device - once a malicious page runs
in Cockpit, it can use the Cockpit API to run arbitrary code on the host. This
change is intended as a defense against programming errors.

### Drop cockpit-subscriptions and cockpit-integration-tests on Fedora

There is a new package "subscription-manager-cockpit" now which supersedes the
"cockpit-subscriptions" package that was previously shipped by Cockpit.

The cockpit-integration-tests package had been an experiment, was never used
in Fedora CI, and requires additional files from Cockpit's upstream git tree to
work.

### Try it out

Cockpit 162 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/162)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-162-1.fc27)
