---
title: Cockpit 163
author: pitti
date: 2018-03-07 11:00
tags: cockpit linux
slug: cockpit-163
category: release
summary: Cockpit with various bug fixes
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 163.

### Hide Docker storage pool reset button when it cannot work properly

Fedora Atomic used to configure a separate logical volume called
`docker-root-lv` as a Docker storage pool. Recently, Fedora Atomic switched to
using one large volume for both the root partition and Docker.

Due to this change in Fedora Atomic, Cockpit can no longer remove and free
previously added storage devices. As a result, we have removed the “Reset”
button on the storage pool page under these circumstances.

### Drop "Transfer data asynchronously" VDO option on Storage page

Recent versions of [VDO](https://github.com/dm-vdo/vdo) now automatically detect
the correct setting for asynchronous data transfer, so this option is no longer
needed.

Manually setting the option may also lead to unsupported configurations in the
future.

*[VDO]: virtual data optimizer

### Update jQuery to version 3.3.1

Cockpit updated jQuery from 2.2 to 3.3.1.

Third party projects should no longer use Cockpit’s bundled jQuery, as
announced in [Cockpit 161](https://cockpit-project.org/blog/cockpit-161.html).
All known consumers of this deprecated usage have been updated.

If you have a private cockpit extension that currently includes
`"../base1/jquery.js"`, please verify that your project still works, remove the
reference to Cockpit’s bundled jQuery, and include your own copy of jQuery
through [NPM](https://www.npmjs.com/) or a [CDN](https://code.jquery.com/).

*[NPM]: Node Package Manager
*[CDN]: Content Delivery Network

([More information](https://lists.fedorahosted.org/archives/list/cockpit-devel@lists.fedorahosted.org/thread/TDBKI4372I4ZPGQFCZB377DX2QG2YDDY/))

### Try it out

Cockpit 163 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/163)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-163-1.fc27)
