---
title: Cockpit 164
author: pitti
date: 2018-03-21 13:00
tags: cockpit linux
slug: cockpit-164
category: release
summary: Cockpit with usability and accessibility improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 164.

### Storage: Usability improvements

We recently ran a usability study targeting the storage area. Based on the
findings, we redesigned and adjusted the NFS, VDO, and RAID storage devices.

Previously, Cockpit used checkbox "arming" and drop-down buttons to reveal
available actions. Usability tests indicated these interface elements
were too hard and unintuitive to discover. Cockpit now expresses these
concepts in a more straightforward way.

Available RAID and VDO actions are now directly shown next to the
corresponding device:

![Storage RAID action buttons](/images/storage-raid-action-buttons.png)

NFS mounts are now clickable:

![Storage NFS list](/images/storage-nfs-list.png)

Clicking an NFS mount now shows a new details page with directly
available actions:

![Storage NFS list](/images/storage-nfs-details.png)

### System: Show available package updates and missing registration

The System overview page now shows pending enhancements, bug fixes, and
security updates when they are available:

![System available security updates](/images/system-security-updates.png)

As unregistered RHEL systems cannot receive updates they now display a warning:

![System unregistered](/images/system-unregistered.png)

### System: Fix inconsistent tooltips

Before this release, the System page had three different styles of tool tips.
Thee have been unified to use the standard
[Bootstrap tooltips](https://getbootstrap.com/docs/4.0/components/tooltips/)
like other Cockpit pages. Relatedly, the performance profile used a static blue
"i" for additional information. We removed the icon and attached the tooltip
directly to the profile name.

![System tuned profile](/images/system-tuned-profile.png)

The navigation redesign in
[Cockpit 156](https://martinpitt.github.io/cockpit-project.github.io/blog/cockpit-156.html)
increased the width of host navigation items. As the navigation labels are no
longer truncated, their corresponding tooltips have been removed.

### Logs: Change severities

On the Logs page, the severity filter now displays the officially defined
[syslog(3) levels](https://linux.die.net/man/3/syslog) instead of the previous
Cockpit-specific names:

![Log severity levels](/images/logs-syslog-severity-levels.png)

_Thanks to Kirill Glebov for this improvement!_

### Machines: Add error notifications

The Machines page now shows individual and dismissable error notifications for
all virtual machines:

![Machines error notifications](/images/machines-error-notifications.png)

_Thanks to suomiy for this  improvement!_

### Accessibility improvements

This Cockpit release includes several accessibility fixes. Notably,
[ARIA markers](https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA),
role tags, tabindex fixes, and several other improvements should help with
keyboard navigation and screen reader support.

There's still more accessibility related work to do, but these changes are
a step in the right direction.

### Reloading the page in the browser now reloads Cockpit package manifests

Cockpit now refreshes the navigation menu on a browser reload. Installing,
removing, or updating Cockpit-related packages previously required logging
out and back in to see the changes.

### Try it out

Cockpit 164 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/164)
 * [Fedora 27](https://bodhi.fedoraproject.org/updates/cockpit-164-1.fc27)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-164-1.fc28)

*[RHEL]: Red Hat Enterprise Linux
*[NFS]: Network File System
*[VDO]: Virtual Data Optimizer
*[RAID]: Redundant Array of Inexpensive Disks
*[ARIA]: Accessible Rich Internet Applications

