---
title: Cockpit 168
author: pitti
date: 2018-05-16 11:00
tags: cockpit linux
slug: cockpit-168
category: release
summary: Cockpit with improved root privilege check
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 168.

### Improve checks for root privilege availability

Many actions, like joining an IPA domain or rebooting, can only be performed by
an administrator (`root` user).

Cockpit previously checked if the user was a member of the `wheel` (used in
Red Hat Enterprise Linux, CentOS, and Fedora) or `sudo` (used in Debian and
Ubuntu) groups to enable these actions. Simple group checking was insufficient,
as different group names are used by other operating systems and configurations,
or a system might be set up to rely on custom user-based sudo rules.

Cockpit no longer makes assumptions about special groups. Now, Cockpit simply
checks if the user is capable of running commands as `root`.

As a result of this fix, privileged operations now work by default with
[FreeIPA](https://freeipa.org/), which uses the `admins@domain.name` group.

### Try it out

Cockpit 168 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/168)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-168-1.fc28)

*[IPA]: identity management system ("Identity, Policy, Audit")
