---
title: Cockpit 169
author: pitti
date: 2018-05-30
tags: cockpit linux
slug: cockpit-169
category: release
summary: Cockpit with NFS, FreeIPA, and systemd improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 169.

### Storage: Offer installation of NFS client support

The "NFS Mounts" pane on the Storage page now shows an "Install NFS Support"
button if the necessary packages are not already available:

<iframe width="960" height="720" src="https://www.youtube.com/embed/Gaioqm7sLEo?rel=0" frameborder="0" allowfullscreen></iframe>

### System: Request FreeIPA SSL certificate for Cockpit's web server

When enrolling into a [FreeIPA](https://freeipa.org/) domain, an SSL
certificate is requested from the IPA server and stored in
`/etc/cockpit/ws-certs.d/10-ipa.cert`. Cockpit's web server will then use that
certificate instead of the default self-signed one.  The IPA server's
certificate authority is trusted by default and accepted by web browsers,
OpenSSL, curl, and other network clients.

### Services: Show unit relationships

The details of a systemd service now shows dependency, ordering, and other
relationships to units:

![Services relationships](/images/services-relationships.png)

### Provide motd help about how to access cockpit

Cockpit now provides an `/etc/motd.d/cockpit`
[motd](https://linux.die.net/man/5/motd) message that explains how to enable
and start Cockpit if it's not running, or how to access it if it is running.

This requires [PAM 1.3.1](https://github.com/linux-pam/linux-pam/releases/tag/v1.3.1)
and enabling the `pam_motd` module:

    session     optional      pam_motd.so

### Try it out

Cockpit 169 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/169)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-169-1.fc28)

*[NFS]: Network File System
*[IPA]: identity management system ("Identity, Policy, Audit")
*[motd]: message of the day
