---
title: Cockpit 171
author: pitti
date: 2018-06-27
tags: cockpit linux
slug: cockpit-171
category: release
summary: Cockpit with VM/Kubevirt improvements, permission checks, and time localization
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 171.

### Machines: Add virtual CPU configuration

The Machines page can now flexibly configure the number and layout of virtual CPUs:

![Machines vCPU](/images/machines-vcpu-config.png)

When changing the values for an already running VM, they become effective after
stopping and restarting it.

_Thanks to Bohdan Iakymets!_

### Kubernetes: Add KubeVirt pod metrics

The details page of a KubeVirt VM now shows the current CPU, memory, and
network usage. This is similar to the libvirt VM on the Machines page.

![Kubevirt Pod Metrics](/images/kubernetes-kubevirt-pod-metrics.png)

_Thanks to suomiy_!

### Docker: Show container volumes

The details page of a running Docker container now shows its volumes and their
mode (like "read only"):

![Docker Volumes](/images/docker-volumes-list.png)

_Thanks to Katerina Koukiou!_

### Fix broken actions for non-administrators

The tuned, system time, and host name links on the System page, as well as the
unit and service buttons on the Services page now check if the user is actually
allowed to carry out the action. If not, the elements now get disabled and show
a proper tooltip.

![System tuned permission check](/images/system-tuned-permission.png)

### Networking: Handle non-running NetworkManager

The Networking page now hides the non-functional network graphs and action
buttons while NetworkManager is not running, and shows an appropriate
notification. If NetworkManager is enabled, this usually indicates a crash or
otherwise unexpected situation:

![Enabled stopped NetworkManager](/images/network-nm-stopped-enabled.png)

If NetworkManager is disabled, this usually just means that some other
software manages the network, or that this might be a fresh installation where
NetworkManager is not configured yet:

![Disabled stopped NetworkManager](/images/network-nm-stopped-disabled.png)

### Accounts: User role improvements

The Accounts page now offers adding an "Image Builder" role to a user, which
puts that user into the [weldr](http://weldr.io/) Unix group. It also points
out that this does not become immediately effective but only applies to new
logins:

![Account roles](/images/accounts-weldr-notification.png)

### Localize times

Dates and times on all affected pages (System, Storage, and Docker) now use the
format matching the selected Display Language instead of the U.S.format.

![Time stamp localization](/images/moment-i18n.png)

### Try it out

Cockpit 171 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/171)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-171-1.fc28)

*[VM]: Virtual Machine
