---
title: Cockpit 172
author: pitti
date: 2018-07-11
tags: cockpit linux
slug: cockpit-172
category: release
summary: Cockpit with on-demand PCP install, flow control, and Python 3 support
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 172.

### System: Offer installation of PCP

The System page now shows an "Enable persistent metrics…" link if the
[PCP](https://pcp.io/) package is not installed. This is similar to the
on-demand installation of the NFS client packages in
[Cockpit 169](https://cockpit-project.org/blog/cockpit-169.html).

![Install PCP on demand](/images/pcp-install-on-demand.png)

### Software Updates: Improve layout in mobile mode

The Software Updates page improves spacing and layout in small browser windows
and mobile browsers:

![PackageKit mobile mode](/images/packagekit-mobile-optimization.png)


### Remove ability to drop privileges from navigation bar

Before this release, Cockpit showed a “Locked” or “Unlocked” status in the
navigation bar. It reflected the “Reuse my password for privileged tasks”
checkbox on the login page. Clicking on “Unlocked” would lock the interface and
drop administrator capabilities.

In general, the capability downgrade feature is not well supported across
Cockpit. Most pages do not respond well to privilege changes.

A non-clickable administrative privilege badge (“Privileged”) replaces the old
interactive locked/unlocked status.

The ability to start cockpit without escalating privileges remains on the login
screen. Dropping privileges at runtime is still available in the user menu,
under "Authentication".

![Privilege status](/images/cockpit-drop-privileges.png)

### Introduce flow control for all channels

The Cockpit API now has flow control to reduce buffering, improve memory usage,
and make the user interface more responsive.

Third-party Cockpit extensions may use the API to transfer large amounts of
data.

A notable example: [Welder](https://github.com/weldr/welder-web) downloads
customized operating system from remote machines. Without flow control, Welder
would become unresponsive and use large amounts of memory.

### Python 3 support

Cockpit, along with all unit tests and most integration tests, now supports
Python 3. Building with Python 2 still works, but it is now deprecated.

### Try it out

Cockpit 172 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/172)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-172-1.fc28)

*[PCP]: Performance Co-Pilot
*[API]: Application Programming Interface
