---
title: Cockpit 177
author: pitti
date: 2018-09-05
tags: cockpit linux
slug: cockpit-177
category: release
summary: Cockpit with LUKSv2 support and FreeIPA ssh known hosts integration
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly. Here are the release notes from version 177.

### Storage: Support LUKS v2

Cockpit's Storage page can now create, lock, unlock, resize, and otherwise
configure encrypted devices using the [LUKS
v2](https://www.saout.de/pipermail/dm-crypt/2017-December/005771.html) format.
This includes support for LUKS v2 based Network Bound Disk Encryption (NBDE)
through Clevis and Tang.

This new version of LUKS offers more flexible unlocking policies, stronger
cryptography, and better compatibility with future changes.

### Support centrally-managed SSH known hosts

[FreeIPA](https://www.freeipa.org/) centrally manages the list and fingerprints
of known SSH hosts. Cockpit now queries FreeIPA when to avoid fingerprint
verification prompts of already-known hosts. This new flow now matches the
behavior of the `ssh` command line client.

SSSD version 1.16.3 or 2.0 is required for improved remote host verification.
When using earlier versions of SSSD, Cockpit will still not consider
centrally-managed known hosts.

### Drop support for Internet Explorer

Opening Cockpit in Microsoft Internet Explorer now shows the "Unsupported
Browser" page.

Feature detection is used to determine if a browser is supported. Cockpit now
requires additional web technologies introduced in all modern browsers between
2012 - 2015.

When using Windows, please use Edge, the direct successor to Internet Explorer,
or any other modern browser to use Cockpit.

Specific minimum versions of Firefox, Chrome, Edge, Safari, and Opera are
listed on [the running page of the Cockpit website](https://cockpit-project.org/running.html).
Any browser with modern web support released in the past several years should
work well with Cockpit.

### Try it out

Cockpit 177 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/177)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-177-1.fc28)
