---
title: Cockpit 178
author: mvo
date: 2018-09-19
tags: cockpit linux
slug: cockpit-178
category: release
summary: Fixed crashers and dropped KubeVirt support
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly.  Here are the release notes from version 178.

### KubeVirt support has been removed

Cockpit ships `cockpit-kubernetes` for managing Kubernetes and
OpenShift deployments. Since its introduction, important points have
come to light:

- The OpenShift Console is adding support for
[KubeVirt](http://kubevirt.io/). It will become _the_ place for
managing KubeVirt-based VMs that run in OpenShift.

- `cockpit-kubernetes` has been in maintenance mode for a while. It
is difficult to support, as it uses a very old version of Angular.

- We haven't been able to build a recent kubevirt-enabled OpenShift image in four months. (Issues [#9479](https://github.com/cockpit-project/cockpit/issues/9479) & [#9638](https://github.com/cockpit-project/cockpit/pull/9638).) As a result, it is impossible to test recent KubeVirt versions.

- Community interest has waned on KubeVirt support in Cockpit.

As a result, we have removed KubeVirt support from
`cockpit-kubernetes` in this release.  In the future, we will likely
remove all of `cockpit-kubernetes`.

#### Migration path

Fedora 29 will keep `cockpit-kubernetes`, but it will be dropped from the "rawhide" rolling release. (Rawhide is the name of the unstable version of Fedora. For the immediate future, it is currently what will become Fedora 30). Thus, `cockpit-kubernetes` will still be supported for approximately the next year-and-a-half.

During this time, the Cockpit team suggests migrating to [OpenShift Console's native KubeVirt support](https://blog.openshift.com/a-first-look-at-kubevirt/).

### Stabilization & security fixes

Cockpit 178 also includes several minor stabilization improvements and [a denial of service security fix](https://github.com/cockpit-project/cockpit/issues/10003).

### Try it out

Cockpit 178 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/178)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-178-1.fc28)
