---
title: Cockpit 180
author: pitti
date: 2018-10-04
tags: cockpit linux
slug: cockpit-180
category: release
summary: Cockpit with ssh and virtual machines improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly.  Here are the release notes from version 180.

### Move to ssh SHA256 fingerprints

Until version 179, Cockpit has shown MD5 based SSH host key fingerprints when
connecting to unknown remote machines.

The "ssh" command line program hasn't shown MD5 fingerprints in a long time,
but uses SHA1 and SHA256. MD5 and SHA1 are cryptographically weak, and using
them is not allowed when running in [FIPS mode](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/6/html/security_guide/sect-security_guide-federal_standards_and_regulations-federal_information_processing_standard).

Cockpit will now show SHA256 fingerprints when available:

![ssh SHA256 fingerprints](/images/ssh-sha256-fingerprints.png)

This feature requires libssh 0.8, so it is only available on more recent
operating system releases. MD5 fingerprints are being used on older ones.

### Machines: Show error messages in the correct place

If there is an error with applying changes to a VM's networking configuration,
the error message is now shown in the correct ("Networking") tab:

![Detach disk](/images/machines-network-errors.png)

Previously it was only shown in the "Overview" tab, and thus not immediately
visible.

_Thanks to Katerina Koukiou for this improvement!_

### Try it out

Cockpit 180 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/180)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-180-1.fc28)

*[VM]: virtual machine
*[FIPS]: Federal Information Processing Standard
