---
title: Cockpit 181
author: mvo
date: 2018-10-31
tags: cockpit linux
slug: cockpit-181
category: release
summary: ...
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly.  Here are the release notes from version 181.

### System: Memory graph improvements

The appearance of memory and CPU graphs has been improved, and their
colors are more accessible.

![Screenshot of the new memory graph](/images/memory-graph.png)

Memory on Linux is often hard to understand and usually presented
incorrectly in most tools, including Cockpit's memory graphs.

The new presentation of memory in Cockpit is aligned with the way
people think about how RAM is used. It now shows:

1. the amount of RAM actively used by software
2. the amount of RAM used for cache
3. unused RAM
4. swap

On Cockpit's overview, the memory graph displays only the value of
active RAM and has a separate, small area to indicate swap usage. The
detailed memory view also shows cache.

Why do we not show cache on the overview and de-emphaize it on the
detailed memory view? Linux stores often-used files in memory as cache
to speed up performance. As cache is quickly reclaimed when needed,
it's effectively available RAM. That's why Cockpit shows it a free
space, as Linux considers it free too.

Additional information on can be found on the website [Linux Ate My
RAM](https://www.linuxatemyram.com/).

### Machines: Edit network interfaces of virtual machines

The configuration of the network interfaces of a virtual machine can
now be changed in Cockpit.

![screenshot of the NIC edit dialog](/images/nic-edit.png)

### Update look of lists to match PatternFly

Lists have been refreshed to look and act more similarly to PatternFly,
complete with a little animation when items are expanded.

![animation of a PatternFly style list](/images/list-patternfly-update.gif)

### Try it out

Cockpit 181 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/181)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-181-1.fc28)
