---
title: Cockpit 183
author: pitti
date: 2018-11-28
tags: cockpit linux
slug: cockpit-183
category: release
summary: Cockpit with Machines, Kdump, and SSH improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly.  Here are the release notes from version 183.

### Machines: Manage storage pools

The Machines page now shows existing VM storage pools, and can also create new
pools.  This currently supports pools on the local file system and on an NFS
volume.

<iframe width="960" height="540" src="https://www.youtube.com/embed/7Lhw3coi1qE?rel=0" frameborder="0" allowfullscreen></iframe>

_Thanks to Katerina Koukiou for this feature!_

### Kernel Dump: Support non-local targets

The Kernel Dump page now recognizes all possible types of kdump locations in
`/etc/kdump.conf`, such as raw disk devices or ext4 file systems. It can now
graphically configure SSH and NFS targets:

![kdump remote locations](/images/kdump-remote-locations.png)

### Respect SSH configuration

When connecting to remote machines on the Login page or on the Dashboard,
Cockpit now respects the global (`/etc/ssh/ssh_config`) and user's
(`~/.ssh/config`) SSH configuration files. As a result, host name aliases,
different settings for ports, users, private keys, or `ProxyCommand` now take
effect.

Now Cockpit's SSH connections are consistent with the `ssh` command line
program.

### Never send Content-Length with chunked encoding

For some HTTP requests, Cockpit's web server previously sent replies using
chunked transfer encoding that contained a `Content-Length:` header field. This
is forbidden by the [HTTP specification](https://www.w3.org/Protocols/rfc2616/rfc2616-sec4.html#sec4.4)
and caused problems with some proxies (such as the [cypress.io](https://www.cypress.io/) test framework).

If you use Cockpit behind a proxy (forward or reverse) or any other non-trivial
web server setup, and notice regressions with this version, please
[report an issue](https://github.com/cockpit-project/cockpit/issues/new).

### Try it out

Cockpit 183 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/183)
 * [Fedora 28](https://bodhi.fedoraproject.org/updates/cockpit-183-1.fc28)
 * [Fedora 29](https://bodhi.fedoraproject.org/updates/cockpit-183-1.fc29)

*[VM]: Virtual Machine
*[NFS]: Network File System
*[SSH]: Secure Shell
*[NFS]: Network File System
