---
title: Cockpit 184
author: mvollmer
date: 2018-12-12
tags: cockpit linux
slug: cockpit-184
category: release
summary: Cockpit with machines and storage improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly.  Here are the release notes from version 184.

### Machines: Dialog and tab layout is now responsive

These UI elements now adjust their layout to small and mobile browser
windows.  This improvement will come to all dialogs in the near
future.

![Responsive layout](/images/machines-responsive-layout.png)

### Storage: Filesystem labels are validated upfront

The names one can give to filesystems have some limits put on them,
and Cockpit now knows about them and tells you if you violate them.

![Filesystem label validation](/images/storage-label-validation.png)

This prevents possibly confusing error messages from the underlying
tools, and it also prevents silent truncation.

### Storage: Some mount options are prefilled when needed

When configuring a filesystem to be mounted at boot, one has to give
it the special "_netdev" option if the block device only becomes
available when the network is up. Cockpit will now prefill this option
when it detects this case.

<iframe width="960" height="540" src="https://www.youtube.com/embed/rMW5--h2omk?rel=0" frameborder="0" allowfullscreen></iframe>

This is also used to deploy the [recommended workaround for the VDO
boot problems](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/7/html/storage_administration_guide/vdo-quick-start).

### Integration of Cockpit pages on the desktop

For some use cases it may be desirable to use a particular Cockpit
page on a desktop, if a native application does not exist. This can be
done with the new "cockpit-desktop" tool, which runs a Cockpit web
server and a web browser (Webkit, Firefox, or Chromium/Chrome) in an
isolated network namespace. This avoids having to enable Cockpit
system-wide and having to log into it through the web browser again.

The cockpit-desktop tool may be used by system integrators or local
administrators through a standard [desktop
launcher](https://standards.freedesktop.org/desktop-entry-spec/latest/). Cockpit
ships no pre-defined launchers by itself.

### Try it out

Cockpit 184 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/184)
 * [Fedora 29](https://bodhi.fedoraproject.org/updates/cockpit-184-1.fc29)
