---
title: Cockpit 192
author: pitti
date: 2019-04-17
tags: cockpit linux
slug: cockpit-192
category: release
summary: Cockpit with Machines and translation improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly.  Here are the release notes from version 192.

### Machines: Auto-detect guest operating system

When creating a new VM, the "OS Vendor" and "Operating System" fields are now
set automatically after specifying the installation sources for many vendors.
This uses the libvirt [osinfo-detect](https://libosinfo.org/) utility.

![Machines OS auto-detection](/images/machines-os-autodetect.png)

### Translation cleanup

Instead of showing just a predetermined set of languages, the language dialog
now offers all available translations, ordered alphabetically, in their native
translations:

![New language dialog](/images/language-dialog-translated.png)

Also, translations with less than 50% completion coverage were removed.

### Allow accounts with non-standard shells

Previously, logging into Cockpit was restricted to users who have a shell
specified in [/etc/shells](https://linux.die.net/man/5/shells), enforced
through [`pam_shells`](https://linux.die.net/man/8/pam_shells). This was found
to be too strict, and excludes users with e. g. the `tlog-rec-session` shell for
[session recording](https://github.com/Scribery/tlog).


Cockpit now accepts shells that are unchangeable by non-administrastors, yet
still allow a user to log in. However, shells which do not allow a user to log
in, such as /sbin/nologin or /bin/false, may still be used to deny access to
Cockpit.

### Try it out

Cockpit 192 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/192)
 * [Fedora 29](https://bodhi.fedoraproject.org/updates/cockpit-192-1.fc29)
 * [Fedora 30](https://bodhi.fedoraproject.org/updates/cockpit-192-1.fc30)

*[VM]: Virtual Machine
