---
title: Cockpit 200
author: pitti
date: 2019-08-07
tags: cockpit linux
slug: cockpit-200
category: release
summary: Cockpit with new TLS proxy, firewall, and Machines improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly. This is version Two Hundred, prepared for you live and in person from the Cockpit team sprint in Berlin!

### Machines: Type-ahead OS selection

In the VM creation dialog, OS vendor and product dropdowns have been replaced by a singular "Operating System" selector. The new dropdown is keyboard-friendly and supports auto-completion.

![Machines typeahead OS selection](/images/machines-os-typeahead.png)

### Machines: Create LVM storage pools

Storage pools using LVM can be created on the Machines page.

![Machines LVM storage pools](/images/machines-lvm-pool.png)

### Machines: Create virtual networks

[Virtual networks](https://libvirt.org/formatdomain.html#elementsNICSVirtual) can now be created on the Virtual Machines page. These are used for connecting VMs with each other and/or to the host, or isolating different groups of VMs from each other.

![Machines create network](/images/machines-create-network.png)

### Networking: Show included firewalld services

[firewalld 0.7.1](https://firewalld.org/2019/07/firewalld-0-7-1-release) introduces the concept of services that include other services. Cockpit's Firewall page shows these:

![Firewall included services](/images/firewall-included-services.png)

### Web server: Split out TLS handling

This release introduces [`cockpit-tls`](https://cockpit-project.org/guide/latest/cockpit-tls.8.html), a TLS terminating HTTP proxy that runs in front of [cockpit-ws](https://cockpit-project.org/guide/latest/cockpit-ws.8.html).

At the moment, `cockpit-tls` does not provide additional features over using `cockpit-ws` directly (other than better isolation), but it sets up a basis for future work, such as supporting smart card authentication.

This change is expected to be transparent to users. Please [report issues](https://github.com/cockpit-project/cockpit/issues/new?template=bug_report.md) if you encounter any page loading failures, stalls, or similar networking issues!

### Try it out

Cockpit 200 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/200)
 * [Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2019-d73df27df4)

*[VM]: Virtual Machine
*[OS]: Operating System
