---
title: Cockpit 201
author: Gundersanne
date: 2019-08-21
tags: cockpit linux
slug: cockpit-201
category: release
summary: Cockpit with Machines, services, and system improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly.


### Machines: VM creation changes

Creating a VM by importing an existing disk has been moved to a separate dialog.

![Machines creating a VM by importing an existing disk](/images/machines-create-importing-disk-separate-dialog.png){:.screenshot}

The Operating System input field is now mandatory; this allows the guest device
assignment to be optimized, leading to better performance.

![Machines OS mandatory input](/images/machines-os-input-mandatory.png){:.screenshot}

The storage size input field has to be at least the required minimum by the VM's
OS.

![Machines storage input lower
limit](/images/machines-storage-input-lower-limit.png){:.screenshot}

### Machines: Enable interface type "direct" in NIC configuration

It's now possible to directly attach the VM's NIC to the specified physical
interface of the host.

![Machines direct interface type](/images/machines-direct-interface-type.png){:.screenshot}

### systemd: Add more actions to services

It's now again possible to stop a service, without disabling it. Reloading is now
available only when the service allows it.

Furthermore, disabling or masking a service removes any lingering "failed" state,
reducing noise.

![Services more actions for services](/images/services-more-actions-services.png){:.screenshot}

### Try it out

Cockpit 201 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/201)
 * [Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2019-2ee93529c0)

*[VM]: Virtual Machine
*[LVM]: Logical Volume Manager
*[OS]: Operating System
*[TLS]: Transport Layer Security
*[HTTP]: Hypertext Transport Protocol
