---
title: Cockpit 204
author: pitti
date: 2019-10-02
tags: cockpit linux
slug: cockpit-204
category: release
summary: Cockpit with Services and Machines improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.  Here are the release notes from version 204.

### System: Highlight failed services

A "System Health" entry on the System overview page shows failed services, if any exist:

![Failed services on System page](/images/system-failed-services.png)

Failed services also cause a warning to appear in the navigation, next to the "Services" entry.

The Services page now shows failed services at the top of the list, to make it easier to spot problems.

### Machines: Configure read-only and shareable disks

The "Disks" tab now shows whether a disk is read-only or shareable between multiple VMs:

![Show shareable option in VM list](/images/machines-shareable-disk-list.png)

With the new "Edit" button these properties can now be changed:

![Edit shareable option](/images/machines-shareable-disk-edit.png)

Sharing is only supported for disks in raw format. Note that sharing writable disks can easily destroy data when multiple VMs write to the disk at the same time; so use this feature with caution.

Sharing will be enabled automatically when adding a disk to more than one VM.

### Playground: Add index page

Various "Playground" pages are meant for developers to test internal features of Cockpit; they are shipped in the "cockpit-tests" package. All these pages are now subsumed in a single "Development" menu entry that shows an index page, instead of a lot of individual menu entries that cluttered up the menu too much.

That index page now also shows playground elements that weren't previously visible, such as the "Speed Tests" page.

### Try it out

Cockpit 204 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/204)
 * [Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2019-1da872f5fa)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2019-ddb9f2270b)

*[VM]: Virtual Machine
