---
title: Cockpit 205
author: skobyda
date: 2019-10-16
tags: cockpit linux
slug: cockpit-205
category: release
summary: Cockpit with Design updates, page notifications, and security hardening
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.
Here are the release notes from version 205.

### Firewall: UI restructuring

The firewall page was redesigned. Instead of having separate listings for services
and zones, the services are now listed per zone. This aims to make the relationship
between zones and services clearer.

![Firewall Redesign](/images/firewall-ui-redesign.png)

### Machines: Refactor Create VM dialog and introduce a download option

A guest operating system can now be downloaded automatically by only
selecting its name. Memory and storage size will default to recommended
values for the selected OS.

![Create VM dialog](/images/machines-create-vm-refactor.png)

### Adjust menu to PatternFly's current navigation design

The pages menu now has a dark theme, the recommended current design from PatternFly after an
[user study](https://blog.patternfly.org/patternfly/how-do-different-patternfly-visual-themes-affect-navigation-performance-perception-and-preference/).

### Searching with keywords

Enable searching by page names and keywords. Also works with translated page
names and translated keywords. Searching by page content is not available yet.

![Dark navigation](/images/nav-dark-nav.png)

### Software Updates: Use notifications for available updates info

Cockpit will notify you about available updates in the navigation menu.

![Notify about available updates](/images/notify-available-updates.png)

### Web server security hardening

The cockpit-tls proxy and the cockpit-ws instances now run as different system users,
and the instances are controlled by systemd. This provides better isolation and robustness.

### Try it out

Cockpit 205 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/205)
 * [Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2019-077643f593)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2019-51df278ff3)

*[VM]: Virtual Machine
*[OS]: Operating System
