---
title: Cockpit 206 and Cockpit-podman 10
author: Gundersanne
date: 2019-10-30
tags: cockpit linux
slug: cockpit-206
category: release
summary: Cockpit with machines, firewall, and login page improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We
release regularly.

### Machines: Network interface deletion

Network interfaces can now be removed from virtual machines.

![Machines NIC deletion](/images/machines-nic-deletion.png)

### login: Reuse password by default

For operations that change system state and for troubleshouting Cockpit needs
administrative rights, so make reusing the password for privileged tasks the
default.

![login reuse password checkbox is checked](/images/login-reuse-password-checked.png)

### Firewall: Prevent accidental deletion

A confirmation now appears when removing zones and the Cockpit service.

In addition to making the interface less volatile, Cockpit will warn you when
you're removing the cockpit service or a zone which contains the Cockpit
service, as these could impact your current connection.

![Firewall removing a zone warns you](/images/firewall-removing-zone-warning.png)

Furthermore, in order to avoid accidentally locking yourself out, Cockpit will
automatically add itself to all newly-created zones.

### Podman: User containers

The Cockpit-podman page now has support for user containers. These do not
require administrative privileges to run.

![Cockpit podman user containers](/images/podman-user-containers.png){:.screenshot}

### Try it out

Cockpit 206 and Cockpit-podman 10 are available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/206)
 * [Cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/10)
 * [Cockpit Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2019-a460236814)
 * [Cockpit-podman Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2019-77aeecbdbf)
 * [Cockpit Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2019-0667dd1786)
 * [Cockpit-podman Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2019-f72585793e)
