---
title: Cockpit 208
author: pitti
date: 2019-11-27
tags: cockpit linux
slug: cockpit-208
category: release
summary: Cockpit with Machines, file system creation, and crash reporting improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly.  Here are the release notes from version 208.

### Storage: Drop "default mount point" concept

Cockpit no longer offers a confusing "Default" choice when mounting a filesystem. Creating a new filesystem now always requires a specified mount point.

Additionally, Cockpit now hides the distinction between configuration (`/etc/fstab`) and run-time state (`/proc/mounts`). Changes made in Cockpit always apply to both the configuration and run-time state. When configuration and run-time state differ from each other, Cockpit will show a warning and let you easily bring them back in sync.

![Storage format dialog](/images/storage-format-mountpoint.png)

### Machines: Support transient virtual networks and storage pools

Transient resources exist only while active and cease to exist once deactivated. Cockpit now disables or hides functionality like autostart or deletion for transient networks and storage pools.

![Transient virtual network](/images/machines-transient-network.png)

### Machines: Sliders for disk size and memory in VM creation

"Create New Virtual Machine" and "Import Virtual Machine" dialogs now have
sliders to configure memory and disk sizes.

![Machine creation size sliders](/images/machines-size-sliders.png)

### Logs: Improve crash reporting

Cockpit previously sent problem and crash reports directly to [ABRT Analytics](https://github.com/abrt/faf) from the Logs page. Switching to the new "reportd" framework allows Cockpit report to more places, such as [Bugzilla](https://bugzilla.redhat.com/), and has improved authentication methods.

![Reportd crash submission](/images/logs-reportd.png)

Thanks to Ernestas Kulik for this work!

### Try it out

Cockpit 208 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/208)
 * [Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2019-d3b55c4594)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2019-b29e09a8d4)

*[VM]: Virtual Machine
