---
title: Cockpit 210 and Cockpit-podman 12
author: kkoukiou
date: 2020-01-08
tags: cockpit linux podman
slug: cockpit-210
category: release
summary: Cockpit with Overview, Dashboard and Machines improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly. Here are the release notes from version 210.

### Overview: Add CPU utilization to usage card

Display CPU usage information in the usage card of the Overview page. For detailed CPU usage information, please consult the graphs page.

![Overview](/images/overview-cpu-usage.png)

### Dashboard: Support SSH identity unlocking when adding new machines

Cockpit now offers an inline feature to unlock SSH identities when adding a new machine to the Dashboard.

![unlock-keyring](/images/unlock-keyring.png)

### SElinux: Introduce an Ansible automation script

SELinux modifications can be reviewed and exported also as Ansible tasks. These exported tasks can be applied to other servers.

![SElinux autoscript ansible](/images/selinux-autoscript-ansible.png)

### Machines: Support "bridge" type network interfaces

Virtual machines can now use "bridge" networking. VMs with bridged networking have full incoming and outgoing network access on a LAN, just like a physical machine.

![VM NIC bridge](/images/vm-nic-bridge.png)

### Machines: Support bus type disk configuration

Adding and editing VM disks now supports different bus types, such as SATA, SCSI, USB, or Virtio.

Using Virtio is generally the best option, for performance reasons. Other bus types may be used if an operating system doesn't support Virtio. (For example: Windows does not support Virtio by default; additional drivers need to be installed.) Another valid reason to choose something other than Virtio is if the guest OS expects the disk to show up as another type of device.

![Disk choose bus type](/images/disk-choose-bus-type.png)

### Podman: Configure CPU share for system containers

System containers now have a configuration option to adjust CPU shares.

By default, all containers have the same proportion of CPU cycles. A container’s CPU share weighting can be changed relative to the weighting of all other running containers. For more information, please refer to [`podman run`'s documentation](https://github.com/containers/libpod/blob/master/docs/source/markdown/podman-run.1.md#options), under "cpu-shares".

![Cockpit podman CPU limit](/images/podman-cpu-limit.png){:.screenshot}

### Try it out

Cockpit 210 and Cockpit-podman 12 are available now:

 * [For your Linux system](https://cockpit-project.org/running.html)

#### Source
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/210)
 * [Cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/12)

#### Fedora 30
 * [Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2020-8ff69018de)
 * [Cockpit-podman Fedora 30](https://bodhi.fedoraproject.org/updates/FEDORA-2020-63b7f0d62a)

#### Fedora 31
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-afa121b867)
 * [Cockpit-podman Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-fbffc4a3a3)

*[VM]: Virtual Machine
*[VMs]: Virtual Machines
*[NIC]: Network Interface Card
*[SATA]: Serial "Advanced Technology" Attachment, a bus interface to attach storage devices to a computer
*[SCSI]: Small Computer System Interface, commands and protocols for communication with (mainly storage) devices
*[USB]: Universal Serial Bus, a protocol for hot-pluggable (and usually external) devices
*[Virtio]: Virtual Input/Output, a standard for network and disk drivers where the guest cooperates with the host for performant virtualization
*[SELinux]: Security-Enhanced Linux, policies for enforcing access controls in Linux
*[SSH]: Secure Shell, a common protocol to securely connect to a remote computer
*[CPU]: Central Processing Unit, the "brain" of a computer
*[LAN]: Local Area Network
*[OS]: Operating System
