---
title: Cockpit 217
author: mvo
date: 2020-04-15
tags: cockpit linux
slug: cockpit-217
category: release
summary: Cockpit with improved Insights details, dialog buttons, and VM consoles
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly. Here are the release notes from version 217.

### Overview: More details about Insights rule hits

When a machine is connected to Red Hat Insights, the Health card on
the Overview page now shows more details.

![Insights details](/images/health-insights.png)

### Dialogs: Buttons have been improved

Following [PatternFly's revised design guidelines](https://www.patternfly.org/v4/design-guidelines/usage-and-behavior/buttons-and-links#button-placement), button placement in all modal dialogs has been changed [to improve usability and accessibility](https://blog.patternfly.org/patternfly/button-placement-on-forms/).

![New button order](/images/new-button-order.png)

### Machines: Sending more keys to the console

Many more special keys can be sent to running virtual machines:

- Control+Alt+Delete is usually used for rebooting a computer. On Windows systems, it is also sometimes used for signing in.
- Control+Alt+Backspace is useful for force-quitting the X Window System.
- The rest of of these key combinations are for switching Linux virtual consoles.

![Sending keys to a VM](/images/vm-console-keys.png)

### Try it out

Cockpit 217 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/217)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-dd9f5f6216)
 * [Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-b072ad14c8)
