---
title: Cockpit 218
author: pitti
date: 2020-04-29
tags: cockpit linux
slug: cockpit-218
category: release
summary: Cockpit with Services page improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly. Here are the release notes from version 218.

### Services: Improved accessibility and mobile support

The Services page has been rewritten using [PatternFly 4](https://www.patternfly.org/v4/) for improved accessibility. It now also works properly in mobile mode.

![Services page mobile mode](/images/services-pf4-mobile.png)

### Overview: Add uptime information

The "System Information" card on the Overview page now shows the machine's uptime (i.e. how long it has been running since the last boot).

![Overview uptime](/images/overview-uptime.png)

Thanks to Martin Schiffner for this contribution!

### Disable idle timeout by default

As a response to user feedback, the automatic session timeout after 15 minutes introduced in [Cockpit 209](https://cockpit-project.org/blog/cockpit-209.html) is now disabled by default. As Cockpit is never the primary session on a device, it is generally sufficient to let screen lock on desktops and mobile devices protect the session.

The idle timeout can still be enabled in [cockpit.conf](https://cockpit-project.org/guide/latest/cockpit.conf.5.html). Any existing explicit setting continues to work as before.

### Support building without polkit

Cockpit integrates a [polkit](https://www.freedesktop.org/software/polkit/docs/latest/polkit.8.html) agent, to handle D-Bus services like firewalld and udisks for users who are not full administrators. However, polkit has some large dependencies like mozjs which may be undesirable for embedded systems. With this Cockpit version, building without the polkit libraries is possible. This will, of course, disable the polkit agent within Cockpit sessions.

Thanks to Michael Häner for this contribution!

### Try it out

Cockpit 218 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/218)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-3404e09362)
 * [Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-d3da290f23)

 *[VM]: Virtual Machine
