---
title: Cockpit 219
author: kkoukiou
date: 2020-05-13
tags: cockpit linux
slug: cockpit-219
category: release
summary: Logs filtering and privilege changing improvements
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly. Here are the release notes from version 219.

### Logs: Improved filtering

Logs can now be filtered by keywords and free text. Keywords include units, time constraints, priority, and [arbitrary journal fields](https://www.freedesktop.org/software/systemd/man/systemd.journal-fields.html). Dropdowns adjust the query string — so there's no need to remember the most common journal keywords. Also, copying and pasting this query string across machines allows administrators to have a precise filtered view of logs.

A pause button has been included next to the filters, to pause the streaming of logs. When toggled, it changes to a resume button, letting you quickly switch back to a stream of incoming journal entries.

Additionally, log excerpts in other pages, such as those in Networking and Storage, now have links to view the the full journal in the Logs page with the same filter.

![Journal Logs Filtering](/images/journal-logs-filtering.png)

### Gain or drop administrative access in a running Cockpit session

Cockpit now allows more control over your access level. You can gain and drop administrative access in a running session, and Cockpit will remember the state for the next session.

This finally allows the user to do administrative actions without a password on the login page,
such as when using smart card or Kerberos authentication, or ssh/Dashboard login with an SSH public key.

Cockpit respects the "`sudo`" configuration for your account. For example: When `NOPASSWD` is in your configuration, you don't have to provide a password in Cockpit to gain administrative access. And if "`sudo`" is configured for two factor authentication, Cockpit will ask twice.

Cockpit only supports "sudo" to elevate the access level. If your
custom Cockpit page relies on Polkit to grant access, you now need to
use the superuser option for the relevant channels. For example,
using the UDisks2 D-Bus API now has to look like this:

`conn = cockpit.dbus("org.freedesktop.UDisks2", { superuser: "try" })`

We plan to bring Polkit support back shortly.

<iframe width="960" height="720" src="https://www.youtube.com/embed/-JDMe015m-k?rel=0" frameborder="0" allowfullscreen></iframe>

### Try it out

Cockpit 219 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/219)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-9196806743)
 * [Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-8bffc7d9dd)
