---
title: Cockpit 220
author: marusak
date: 2020-05-27
tags: cockpit linux
slug: cockpit-220
category: release
summary: Cockpit with new navigation
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly. Here are the release notes from version 220.

### New navigation with integrated switching of hosts

The navigation has been redesigned and brings four major improvements:
- **One-level navigation**: The current two-level navigation has been squashed for better use of space and better discoverability
- **Integrated hosts switching**: Switching between hosts as well as editing them can be done now directly from the navigation without using the 'Dashboard' component
- **Better discoverability of applications**: Applications are shown as the first group in the menu and are also searchable
- **Access level for all hosts**: You can change between Administrative and Limited access on every host, right from the navigation

![New one-level navigation](/images/one-level-nav.png) | ![Integrated host switcher](/images/host-switcher.png)

### Logs: Inline help for filtering

The [previous release](https://cockpit-project.org/blog/cockpit-219.html) introduced new advanced search features for logs.
This release adds a help button that shows an overview of accepted options, and the `journalctl` command corresponding to the current filter.

![Logs inline help](/images/logs-inline-help.png)

### Storage: Improve side panel on details page

The side panel on the storage details page has been unified and uses the same layout as on the storage overview page.

![Storage side panel](/images/storage-details-side-panel.png)

### Try it out

Cockpit 220 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/220)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-be42373991)
 * [Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-c21a90d666)
