---
title: Cockpit 222
author: pitti
date: 2020-06-24
tags: cockpit linux
slug: cockpit-222
category: release
summary: Cockpit with Logs filtering improvements and web server hardening
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly. Here are the release notes from version 222.

### Logs: More flexible text filters

The text filter gained new `since:` and `boot:` quantifiers which restrict the logs to a given time span or the number of a previous boot; for example, `since:-12hours` or `boot:-2`. The "Time" dropdown controls these fields, and continues to have the same standard options as before, but they can now be customized easily.

The `service:`*unitname* filter now also accepts a unit name without the `.service` suffix. This mirrors the [systemctl](https://www.freedesktop.org/software/systemd/man/systemctl.html) command line behaviour.

![Logs filtering by time and boot](/images/logs-filter-since-boot.png)

### Services, Dashboard: Hide some buttons when access is limited

Similarly to previous releases, the Services and Dashboard pages will now hide buttons for privileged actions when the logged in user doesn't have administrative access.

### Webserver: Lock down cockpit.service privileges

The `cockpit.service` unit which runs [Cockpit's TLS proxy](https://cockpit-project.org/guide/latest/cockpit-tls.8.html) gained several additional [privilege restriction options](https://man7.org/linux/man-pages/man5/systemd.exec.5.html). This has been tested to work with all supported authentication methods and should not cause any behaviour change/regression. If you notice problems, please [report a bug](https://github.com/cockpit-project/cockpit/issues).

### Try it out

Cockpit 222 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/222)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-f6114a1e30)
 * [Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-0318da8e1f)

 *[VM]: Virtual Machine
