---
title: Cockpit 223
author: kkoukiou
date: 2020-07-08
tags: cockpit linux
slug: cockpit-223
category: release
summary: Cockpit with web server hardening
comments: 'true'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/). We release regularly. Here are the release notes from version 223.

## Webserver: Standard-conformant lifetime of web server certificate

Cockpit's web server creates a self-signed certificate `0-self-signed.cert` on startup if the administrator did not already install one. They now are valid for one year, following the [official standard](https://www.globalsign.com/en/blog/ssl-certificate-validity-capped-at-maximum-two-years). The previous lifetime of 100 years for a self-signed certificate (or 10 years with sscg) may not be accepted by some browsers in the future.

An expired `0-self-signed.cert` is now renewed automatically.


## Certificate authentication against Active Directory

Cockpit now officially supports authentication with client certificates (commonly through Smart Cards) on machines that are joined to a Microsoft or [Samba](https://www.samba.org/) [Active Directory](https://en.wikipedia.org/wiki/Active_Directory) domain. The necessary setup steps are [described in the guide](https://cockpit-project.org/guide/latest/cert-authentication.html).

### Try it out

Cockpit 223 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/223)
 * [Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-d4e78b7bfd)
 * [Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-109902c9fa)
