---
title: Cockpit 224 and Cockpit Podman 20
author: kkoukiou
date: 2020-07-22
tags: cockpit linux
slug: cockpit-224
category: release
summary: Cockpit Podman new features and Cockpit bug fixes
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
Cockpit 224 with bug fixes was released as well as Cockpit Podman 20. Here are release notes for Cockpit Podman 20.

### Podman: Show networking information for containers

Container details now include basic networking information.

![Cockpit podman networking info](/images/podman-networking-info.png){:.screenshot}

_Thanks to Eric Jeffrey for this contribution!_

### Podman: Enable filtering images and containers by owner

Filtering between system, rootless, and all containers has been added.

![Cockpit podman owner filter](/images/podman-owner-filter.png){:.screenshot}

### Podman: Optionally show intermediate images

Intermediate images are hidden by default, but there is a link to show them.

![Cockpit podman intermediate images](/images/podman-intermediate-images.png){:.screenshot}

### Podman : Enable setting up SELinux label when mounting volumes

During container creation and volume mounting, `:z` or `:Z` labels can be specified.
These options tell Podman to relabel file objects on the shared volumes.

![Cockpit podman intermediate images](/images/podman-selinux-label-volumes.png){:.screenshot}

### Try it out

Cockpit 224 and Cockpit-podman 20 are available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/224)
 * [Cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/20)
 * [Cockpit Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-e8e7ea757e)
 * [Cockpit-podman Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-0e84c4f20d)
 * [Cockpit Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-47301d5f37)
 * [Cockpit-podman Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-6b6261476a)
