---
title: Cockpit 225 and Cockpit Podman 21
author: marusak
date: 2020-08-05
tags: cockpit linux
slug: cockpit-225
category: release
summary: Cockpit and Cockpit Podman news
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly. Here are the release notes from Cockpit version 223 and Cockpit Podman version 21.

### Machines: Add support for VM snapshots

Cockpit now supports [libvirt's qcow2-based "internal" snapshotting](https://libvirt.org/formatsnapshot.html).

When a virtual machine is not running and Cockpit makes a snapshot, only the disk contents will be saved. When a virtual machine is running, Cockpit will snapshot both the disk and memory state.

![VM snapshots](/images/machines-snapshots.png){:.screenshot}

### Developer API: Launch and reattach to a long-running process

Pages in Cockpit should never tie long-running processes to the browser's session, as the page could reload at any time, the browser tab could be closed, or the computer running the browser could be shut down. These long-running sessions, such as software installers and Ansible playbooks, should persist across Cockpit sessions.

To anyone creating a Cockpit page, please review the new [long-running process example](https://github.com/cockpit-project/cockpit/tree/master/examples/long-running-process) to ensure your page is more robust. The example demonstrates how a to handle detached sessions by running a process in a transient systemd unit and having the page attach (and re-attach, when the session changes) to the running process. Using this method allows for session interruptions.

All of this logic is implemented in a [JavaScript module](https://github.com/cockpit-project/cockpit/blob/master/pkg/lib/long-running-process.js) which we encourage you to copy into your own project.

### Podman: Support for pod groups

Initial support for pod groups in Cockpit has landed! The `cockpit-podman` plugin can now list pods (a group of containers) alongside the rest of the containers on a system. Basic actions like starting and pausing pods is also supported.

![Cockpit pod groups](/images/podman_pods.png){:.screenshot}

### Podman: Support checkpoint and restore

"Checkpointing" stops a container and writes the state of all container processes to disk. A container can later be resumed from a checkpoint in the exact state from when the checkpoint was made. 

This checkpointing capability requires [CRIU 3.11](https://www.criu.org/Main_Page) or later installed. Currently, only the `runc` container runtime is supported and also is only available with `cgroupv1` systems.

![Cockpit podman checkpoint](/images/podman-checkpoint.png){:.screenshot}

_Thanks to Tomáš Glozar for this contribution!_

### Podman: Registry selection in "download image" dialog

When downloading images, a specific registry source can be selected.

![Cockpit podman registries](/images/podman-registries.png){:.screenshot}

### Podman: Selected tag removal during deletion

Deleting images now shows a confirmation dialog where just specific tags can be selected for removal.

![Cockpit podman untag](/images/podman-untag.png){:.screenshot}

### Try it out

Cockpit 225 and Cockpit-podman 21 are available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/225)
 * [Cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/21)
 * [Cockpit Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-77ae30c93a)
 * [Cockpit-podman Fedora 31](https://bodhi.fedoraproject.org/updates/FEDORA-2020-279a329f4c)
 * [Cockpit Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-7f840e03a3)
 * [Cockpit-podman Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-322ae82d18)
