---
title: Cockpit 228
author: kkoukiou
date: 2020-09-16
tags: cockpit linux
slug: cockpit-228
category: release
summary: Cockpit
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly. Here are the release notes from Cockpit version 228.

### Accounts: Allow setting weak passwords

Cockpit now allows users to set up a weak password. The user gets notified that the password is weak, but clicking the submit button again will use the selected password anyway. This is similar to how weak passwords are handled in the Anaconda installer.

![Accounts weak password](/images/accounts-weak-password.png){:.screenshot}

### Changes to remote host logins

Cockpit used to try to log into remote hosts with your initial login password when "Reuse my password for remote connections" was selected during login. This option has been removed, and Cockpit does not promote password reuse across accounts anymore. Instead, Cockpit now helps with setting up SSH keys for users that want automatic and password-less login to remote hosts.

![Remote host logins](/images/remote-hosts-logins.png){:.screenshot}

There is also an earlier [demo video](https://www.youtube.com/watch?v=4UBZWKk-T28) to see how it looks like in action.

### Machines: Add support for reverting to and deleting VM snapshots

One can now restore a VM guest to a previously created snapshot. Existing snapshots can be deleted as well. Deleting a single snapshot preserves the current state of the VM and does not affect any other snapshot.

![VM snapshot actions](/images/machines-snapshots-actions.png){:.screenshot}

### Drop cockpit-docker code

As announced half a year ago in [Cockpit 215](https://cockpit-project.org/blog/cockpit-215.html),
cockpit-docker is deprecated in favor of [cockpit-podman](https://github.com/cockpit-project/cockpit-podman).  None of the [currently supported operating systems](https://cockpit-project.org/running.html) builds the cockpit-docker package any more,
thus it was finally removed upstream as well. If you still use it on another distribution or from upstream builds, please migrate now, or build it from an older upstream release.

### Try it out

Cockpit 228 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/228)
 * [Cockpit Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-d185b2afc0)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2020-f617c3f387)
