---
title: Cockpit 231
author: marusak
date: 2020-10-29
tags: cockpit linux
slug: cockpit-231
category: release
summary: Cockpit with new performance graphs
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly. Here are the release notes from Cockpit version 231.

### Replace system's graph page with a completely new USE method page

The system graphs were replaced with a dedicated page for analyzing the current and historical performance of a machine. This page (reachable after clicking on 'View details and history' on the Overview page) shows current metrics as well as historical events based on the [USE](http://www.brendangregg.com/usemethod.html) method.

![performance_graphs](/images/perf-graphs.png){:.screenshot}

### Machines: Reimplement the design of the main VMs list

Details of virtual machines are now displayed on a separate page that contains all information in one
place. There is no need anymore to change between tabs to see different properties of a virtual machine.

![VM subpage](/images/vm-details.png){:.screenshot}

### Logging of remote IP addresses

Cockpit records the remote IP address for user logins (and failed attempts) again. The IP address will appear in the system logs, in the output of tools such as `w` or `who`, and in the login-time messages about when the last successful login happened, and any failed login attempts. It also means that PAM modules can filter logins based on IP address (for example, temporarily blocking a subnet when there are too many failed login attempts).

### Try it out

Cockpit 231 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/231)
 * [Cockpit Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-689ad5b15a)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2020-397165407a)
