---
title: Cockpit 234 and Cockpit-Podman 26
author: mvo
date: 2020-12-09
tags: cockpit linux
slug: cockpit-234
category: release
summary: Cockpit with various bug fixes and performance improvements
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).  We release regularly.

Here are the release notes from Cockpit version 234 and Cockpit-Podman 26.

## Machines: Select virtual machine CPU mode and model

The Virtual Machines page now has the option to select a CPU model. 

Choosing a strategy may maximize performance, protect against various CPU hardware flaws, and allow for live migration between hosts with similar CPU models.

Three different options are supported:

- **Host passthrough**
  The host CPU model, features, and stepping are passed directly to the guest. This is the fastest mode, but lacks compatibility for live migration of VMs to another host.

- **Host model**
  This balanced mode, also known as QEMU's "named model", makes tradeoffs to ensure live migration is safe while attempting to preserve performance. It does this by choosing a _compatible_&mdash;but not necessarily _identical_&mdash;CPU family, stepping, and feature set with the host and tries to preserve as much passthrough as possible.

- **Custom / Named model**
  Selecting a specific named CPU model maximizes the flexibility to live migrate between hosts with differing hardware, by abstracting the simulated CPU from the host's own CPU. The list of CPU models comes directly from QEMU and referrers to specific generations of hardware released by Intel and AMD.

More information about CPU model selection can be found in the [QEMU documentation page](https://www.qemu.org/docs/master/system/qemu-cpu-models.html).

![screenshot of the cpu mode configuration](/images/machines-cpu-model.png)

## Machines: Add support for cloning virtual machines

Cloning copies a virtual machine into a new VM, duplicating configuration and storage. After cloning, the original VM and its clone are nearly identical, with the exception of the few configuration changes that need to differ.

Virtual machine cloning is often used for preparing an optimal virtual machine and then quickly spinning up several similar VMs without having to step through an installation process.

![screenshot of the machine cloning](/images/machines-cloning.png)

## The dashboard has been removed

Due to limited functionality, the dashboard page has been removed. Connecting to additional hosts is directly available in the Shell without the need for a separate package. The dashboard graphs were not providing enough information to be useful and were implemented with a performance cost on the servers and the browser. Individual machine metrics are available on a separate page on the Overview page. Multi-host monitoring is handled better by other tools (e.g. Grafana), which provide more useful data.

## Podman: Set IP address when exposing container ports

The Cockpit-Podman add-on now supports binding a container's ports to a specific host IP address. If the host IP is unset or set to `0.0.0.0`, the port will be bound on all IPs on the host.

![screenshot of port IP configuration](/images/podman-ip-for-ports.png)

### Try it out

Cockpit 234 and Cockpit-Podman 26 are available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/234)
 * [Cockpit Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-ea1ee62c3d)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2020-d10db68200)
 * [Cockpit-Podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/26)
 * [Cockpit-Podman Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2020-c37784f036)
 * [Cockpit-Podman Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2020-1089febeaf)
