---
title: Cockpit 236
author: pitti
date: 2021-01-22
tags: cockpit linux
slug: cockpit-236
category: release
summary: Cockpit with SSH key improvements and motd editing
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).  We release regularly.

Here are the release notes from Cockpit version 236.

## fslist channels: Include properties of changed files

The [fslist channel API](https://github.com/cockpit-project/cockpit/blob/master/doc/protocol.md#payload-fslist1) lists files in a directory, watches for further changes to files, and sends events when changes happen. These notifications now include additional properties about the file: the owner and group name, file size, and time of last modification.

This contribution from leomoty can serve as the basis of a third-party file manager page. _Thanks, leomoty!_

## Internal stabilization work

The Cockpit authors spent a lot of time on refactoring, dropping some obsolete dependencies like [jquery-flot](https://www.npmjs.com/package/jquery-flot), replacing some custom React components with standard [PatternFly](https://www.patternfly.org/v4/) ones, build system simplifications, and test stabilization. These don't have a user-visible effect, but will make Cockpit easier to develop in the future.

### Try it out

Cockpit 236 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/236)
 * [Cockpit Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2021-fe1bd864ea)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-3408685d15)
