---
title: Cockpit 237
author: marusak
date: 2021-02-03
tags: cockpit linux
slug: cockpit-237
category: release
summary: Cockpit with restyled updates page
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).  We release regularly.

Here are the release notes from Cockpit version 237.

## Updates: Restyling in preparation for upcoming features

The updates page went through some design polishing in preparation for upcoming features.

![Restyled updates page](/images/updates-restyled.png)

## Shell: SSH connections to remote machines are only opened when necessary

Cockpit remembers all remote hosts of a session and would previously connect to all of them
when starting the next session. Now an SSH connection is only opened when navigating to the remote
machine for the first time. This restricts possible security issues, as connected hosts can
interact with each other.

## Internal CI improvements

In the last two weeks, the team has been focusing heavily on stabilizing and improving our CI. These
improvements include work on self-testing CI infrastructure as well as [defining](https://github.com/cockpit-project/cockpit/wiki/DevelopmentPrinciples#our-testsci-error-budget) and [implementing](https://images-frontdoor.apps.ocp.ci.centos.org/tests.html) an [error budget](https://sre.google/sre-book/embracing-risk/). These changes don't have a user-visible effect,
but will make Cockpit easier to develop in the future. Also we continued working on tests and build system improvements.
On top all of that there is a bug fix in websocket; _thanks to Asad Mehmood for that contribution!_

### Try it out

Cockpit 237 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/237)
 * [Cockpit Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2021-98c970e99a)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-0ad93a9b1e)
