---
title: Cockpit 238
author: kkoukiou
date: 2021-02-17
tags: cockpit linux
slug: cockpit-238
category: release
summary: Cockpit with restyled updates page
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).  We release regularly.

Here are the release notes from Cockpit version 238.

### Updates: List outdated software that needs a restart

Cockpit now uses [Tracer](http://tracer-package.com/) to discover outdated services and applications after each software update.

In some cases, software updates might not require a reboot or any services to be restarted.

![Update no restart](/images/update-no-restart.png)

When necessary, Cockpit will prompt to restart services or schedule a system reboot.

![Update with restart](/images/update-with-restart.png)

Currently, Tracer is only supported in Fedora.  In distributions where Tracer is not available, Cockpit will reboot after software updates, as it has previously done.

### Web server: Preserve permissions of administrator-provided certificates

Cockpit's web server supports and encourages [using your own TLS certificate and key](/guide/latest/https.html#https-certificates) in `/etc/cockpit/ws-certs.d/`.
certificates. 

For enhanced compatibility with other software, Cockpit has been changed to only adjust permissions for certificates it creates and manages itself. These specific files are `0-self-signed.cert` and `10-ipa.cert`. If you do provide your own certificate, you must ensure these files are readable by the `cockpit-ws` user or group, in addition to other software using the certificates.

### System: Performance page shows busiest CPU cores

![CPU cores metrics](/images/metrics-cores.png)

### Machines: VM disk creation supports a custom path

Custom paths are now supported when adding disks to a VM. Supported file types include disk files (qcow, qcow2, and raw images) and CD/DVD ISOs (which will be attached as a CD-ROM device).

![Machines](/images/disk-iso.png)

### Try it out

Cockpit 237 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/238)
 * [Cockpit Fedora 32](https://bodhi.fedoraproject.org/updates/FEDORA-2021-f98214dae5)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-bf4a30e37d)
 * [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-db6f42b9df)
