---
title: Cockpit 239
author: lis
date: 2021-03-03
tags: cockpit linux
slug: cockpit-239
category: release
summary: Cockpit with various improvements
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).  We release regularly.

Here are the release notes from Cockpit version 239.

## Terminal: Support for changing the font size

Users can now change the font size in the emulator window on the
terminal page.

![New font size selector in the terminal](/images/terminal-font-size.png)

### Machines: Allow editing disk cache mode

It's now possible to edit the cache mode for existing virtual machine
disks.  This was previously only possible when creating new disks.  In
order to edit the cache mode, any machines using the volume need to be
powered off.

![Cache mode editing for machines](/images/edit-vm-cache-mode.png)

### Logs: Link to related services page

The detailed view for log entries now links to related services, when
applicable.

![Log entry linking to service](/images/log-link-to-service.png)

### SELinux: Restyle to resemble other pages

The SELinux page now matches the style of other pages in Cockpit.
pages in Cockpit.

![SELinux page with the new style](/images/selinux-restyled.png)

### Packaging: Removed ./configure options for distribution-specific packages

The `./configure` script dropped several distribution-specific options:

- `--with-vdo-package`
- `--with-nfs-client-package`
- `--with-appstream-config-packages`
- `--with-appstream-data-packages`

Manifest files now contain this same information, which is more portable across distributions.

Administrators can still adjust these values in `override.json` files.


### Try it out

Cockpit 239 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/239)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-3eac86a1e3)
 * [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-1f7c0290a1)
