---
title: Cockpit 242
author: marusak
date: 2021-04-14
tags: cockpit linux
slug: cockpit-242
category: release
summary: Cockpit with split out Machines page and website refresh
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).  We release regularly.

Here are the release notes from Cockpit version 242.


## Groundwork for Snowpack support

[Snowpack](https://www.snowpack.dev/) is a web project build system alternative to [webpack](https://webpack.js.org/). Previously, when using Snowpack to build Cockpit pages using an [npm module](https://www.npmjs.com/) with an `@`, the page [could not be loaded](https://github.com/cockpit-project/cockpit/issues/15288). This has been fixed. As Cockpit uses [@patternfly](https://www.npmjs.com/package/@patternfly/react-core) in this style, it was an important first step.

Please be aware that there is not a fully working and supported example of a Snowpack-built Cockpit project at this time, just some [initial experimentation](https://piware.de/post/2021-02-05-snowpack/).


## Machines: Split out to separate project

The Machines page is easily the largest Cockpit component. It has been split out to the standalone [cockpit-machines project](https://github.com/cockpit-project/cockpit-machines/), making it easier and faster to develop. This same split has also happened in [Fedora](https://bodhi.fedoraproject.org/updates/?packages=cockpit-machines) and [Debian](https://tracker.debian.org/pkg/cockpit-machines) packaging.

## Cockpit website refresh

[Cockpit website](https://cockpit-project.org/) has been restyled and refreshed. This update includes:
- a fresh style
- completely new content on the front page
- updated screenshots
- a brand new [docs page](https://cockpit-project.org/documentation.html)

## Cockpit ecosystem updates

Today, we're also releasing new versions of [cockpit-podman](https://github.com/cockpit-project/cockpit-podman/releases/tag/30), [cockpit-ostree](https://github.com/cockpit-project/cockpit-ostree/releases/tag/185), and the newly-independent [cockpit-machines](https://github.com/cockpit-project/cockpit-machines/releases/tag/243).


### Try it out

Cockpit 242 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/242)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-d230b3a6a0)
 * [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-4bcccbe0bd)
