---
title: Cockpit 243
author: pitti
date: 2021-04-28
tags: cockpit linux
slug: cockpit-243
category: release
summary: Cockpit with Services page improvements
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).  We release regularly.

Here are the release notes from Cockpit version 243.

## Services: Show sockets and memory usage

Socket units show listening paths and ports, as well as the service units they activate.

![Socket unit listening path](/images/services-socket-listen.png)

Service units show memory usage and which socket unit activated them.

Less important static relationships like "Requires:" are collapsed by default, making it easier to see the journal output.

![Service memory usage](/images/services-mem-usage.png)

## Developer API: Watch for file changes without reading

The [cockpit.file.watch() API](https://cockpit-project.org/guide/latest/cockpit-file.html#cockpit-file-notify) can be used to update a Cockpit page when files change. This has always read the file and returned the contents in a handler function.

Reading files is impractical in many cases, as contents may be unimportant or a file could be large (for example a database). Therefore, the watch API has gained a `read` option to disable the automatic reading. When `read` is set to `false`, the callback's `content` will always be `null`.

### Try it out

Cockpit 243 is available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/243)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-58213e627d)
 * [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-ad68878262)
