---
title: Cockpit 247
author: kkoukiou
date: 2021-06-23
tags: cockpit linux
slug: cockpit-247
category: release
summary: Cockpit with Metrics and Virtual Machines improvements
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).  We release regularly.

Here are the release notes from Cockpit version 247 and Cockpit Machines version 246.

## Metrics: Enable Grafana client setup

"Metrics settings", [introduced in Cockpit 245](https://cockpit-project.org/blog/cockpit-245.html), has a new option to share Performance Co-Pilot data over the network. Enabling "export to network" enables a [Redis](https://grafana-pcp.readthedocs.io/en/latest/datasources/redis.html) data source with the [pmproxy service](https://linux.die.net/man/1/pmproxy).

![metrics settings](/images/metrics-settings-2.png)

If the machine uses firewalld, you can allow pmproxy in a particular zone afterwards:

![metrics firewall zone selector](/images/metrics-fw-sel.png)

A remote [Grafana](https://grafana.com/) instance can then read the machine's metrics using the [PCP Grafana plugin](https://grafana-pcp.readthedocs.io/). More details are available on [the PCP metrics feature page](https://cockpit-project.org/guide/latest/feature-pcp.html).

## Machines: Share host files with the guest using virtiofs

Cockpit Machines can now share a host directory with a guest VM.

[virtiofs](https://virtiofs.gitlab.io/) powers this sharing feature, offering local file system semantics and performance. virtiofs has been available in mainline Linux 5.4, QEMU 5.0, and libvirt 6.2. Sharing host files is available only when these versions are met.

![shared directories card](/images/machines-shared-directories-card.png)

![machines new shared directory dialog](/images/machines-new-shared-directory-dialog.png)

## Machines: Show list of pass-through devices

The virtual machines details page now shows the list of USB, PCI and SCSI host devices that are passed through to the guest VM.

![machines host devices card](/images/machines-host-devices-card.png)

### Try it out

Cockpit 247 and Cockpit Machines 246 are available now:

 * [For your Linux system](https://cockpit-project.org/running.html)
 * [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/247)
 * [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-b61fc3e33d)
 * [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-914e35e595)
 * [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/246)
 * [cockpit-machines Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-d9dd21b606)
 * [cockpit-machines Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-115bb6f593)

 *[VM]: Virtual Machine
 *[PCP]: Performance Co-Pilot
