---
title: Cockpit 250
author: pitti
date: '2021-08-04'
tags: cockpit, machines
slug: cockpit-250
category: release
summary: Cockpit with kpatch and VM migration support and session menu improvements
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 250 and cockpit-machines 249:


## Shell: Improve admin switcher and session menu

Cockpit has a "limited access" mode with lowered privileges, where browsing generally works, but changing things that require administration rights generally does not.

If someone is stuck in "limited access" mode without knowing how to switch, it would appear that Cockpit is "broken" or cannot perform tasks it should be able to do. To make it more obvious how to switch modes, Cockpit now has several "eye-catching" changes to make switching easier to notice. These changes are in the shell, which is visible on every page within Cockpit, and the overview page's alert.

- On the overview alert, a warning color has been used to draw attention
- A lock icon has been used in both the overview alert and the shell privilege escalation icon
- The shell's escalation action now resembles a button

![panel-or8]({{ site.baseurl }}/images/250-shell-improve-admin-switcher-and-session-menu.png)

All of the above changes only affect "limited access" mode. Normal administration mode looks the same as before.

The menu on the top right is now called "Session" instead of showing an user icon. This clarifies that the settings in that menu apply to remote hosts as well, which possibly run as a different user.

*Thanks to [Verhoeckx](https://github.com/Verhoeckx) for discussing and suggesting these design changes!*

## Software Updates: Introduce basic kpatch support

Some operating systems (Red Hat Enterprise Linux for now) support live kernel patching ("kpatch"). The Software updates page shows if kpatch is supported and if there are any patches active. You can enable kpatches for the currently running kernel and subscribe to patches for future kernel versions.

![kpatch-or8]({{ site.baseurl }}/images/250-software-updates-introduce-basic-kpatch-support.png)

## Machines: Migration of a virtual machine

The Machines page can now migrate a VM to a different machine. It supports live and temporary migration. Commonly, the VM's storage is on shared storage, which avoids having to copy the data to the remote machine and makes the migration process much faster and more robust. As it is not possible to automatically detect whether the storage is shared, the user has to explicitly tell whether the storage must be copied.

![mig2-or8]({{ site.baseurl }}/images/250-machines-migration-of-a-virtual-machine.png)
![mig1-or8]({{ site.baseurl }}/images/250-machines-migration-of-a-virtual-machine-2.png)


## Try it out

Cockpit 250 and cockpit-machines 249 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/250)
* [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-81e5ff92c6)
* [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-638e9d41fc)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/249)
* [cockpit-machines Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-eb47112baa)
* [cockpit-machines Fedora 33](https://bodhi.fedoraproject.org/updates/FEDORA-2021-357c2a77f3)

*[VM]: Virtual Machine
