---
title: Cockpit 251
author: garrett
date: '2021-08-18'
tags: cockpit, machines
slug: cockpit-251
category: release
summary: 'Improved certificate usage, better logs filtering, and VM shared directory removal'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 251 and cockpit-machines 250:


## Certificate and smart card authentication for ssh and sudo

Once you've logged into Cockpit with a client certificate, you'll likely need to switch to administative mode, or connect to remote machines through SSH. If your machine is part of a FreeIPA domain, you can now set up [constrained delegation rules](https://www.freeipa.org/page/V4/Service_Constraint_Delegation) so that the Cockpit certificate authentication gets forwarded to sudo and/or ssh. This is particularly useful if your user account does not have a password. Please see the [Client certification documentation](https://cockpit-project.org/guide/latest/cert-authentication.html) for details.

## Logs: Easier-to-use filtering

The Logs page has friendlier filtering options. In previous versions, users had to know esoteric journald keywords to effectively find desired journal messages. The new version contains a dropdown with all possible fields, along with inline help.

![Screenshot from 2021-08-09 13-11-59]({{ site.baseurl }}/images/251-logs-easier-to-use-filtering.png)

## Machines: Shared directory removal

Cockpit Machines can now remove directory shares.

![129880700-acc31a95-b306-4e9a-b58b-fb5996cce6b8]({{ site.baseurl }}/images/251-machines-shared-directory-removal.png)


## Try it out

Cockpit 251 and cockpit-machines 250 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/251)
* [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/?releases=F34&packages=cockpit)
* [Cockpit Fedora 33](https://bodhi.fedoraproject.org/updates/?releases=F33&packages=cockpit)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/250)
* [cockpit-machines Fedora 34](https://bodhi.fedoraproject.org/updates/?releases=F34&packages=cockpit-machines)
* [cockpit-machines Fedora 33](https://bodhi.fedoraproject.org/updates/?releases=F33&packages=cockpit-machines)

*[IPA]: identity management system ("Identity, Policy, Audit")*[SSH]: Secure Shell, a common protocol to securely connect to a remote computer