---
title: Cockpit 254
author: garrett
date: '2021-09-29'
tags: cockpit, machines
slug: cockpit-254
category: release
summary: 'Login history improvements, Arch branding, and Machines with device support'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 254 and cockpit-machines 253:

## Overview: Move last login to Health Card

Previously, last successful or failed logins were shown in a dismissable alert, which took a lot of space. Login information was moved to the Health card.

![screenshot of move last login to health card]({{ site.baseurl }}/images/254-overview-move-last-login-to-health-card.png)


A failed login:

![screenshot of move last login to health card]({{ site.baseurl }}/images/254-overview-move-last-login-to-health-card-2.png)

## Users: Login history

The user account details page now includes a list of your 15 most recent logins.

![users-login-history]({{ site.baseurl }}/images/254-users-login-history.png)

## Login: Arch Linux Branding

Cockpit now includes branding for the [Arch Linux distribution](https://archlinux.org/).

![screenshot of arch linux branding]({{ site.baseurl }}/images/254-login-arch-linux-branding.png)

## Webserver: Restrict frame embedding to same origin

Cockpit's web server now sets the [X-Frame-Options header](https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/X-Frame-Options) to explicitly disallow frame embedding within a different origin. Thanks to cookie policy restrictions, this was already prevented in most cases, as embedded frames would always show the login page. With this new option, the browser directly forbids cross-origin embedding and shows an explanatory error page instead. (CVE-2021-3660)

![254-webserver-restrict-frame-embedding-to-same-origin]({{ site.baseurl }}/images/254-webserver-restrict-frame-embedding-to-same-origin.png)

## Machines: Support adding and removing host devices

Host devices are physical devices on the machine running virtual machines. This includes devices from USB (mice, cameras, keyboards) and PCI (NICs, GPUs). Users can now assign and detach host devices for each VM. 

Please note: When a device is assigned to a VM, it can no longer be used by the host.

![254-machines-support-adding-and-removing-host-devices]({{ site.baseurl }}/images/254-machines-support-adding-and-removing-host-devices.png)
![254-machines-support-adding-and-removing-host-devices-2]({{ site.baseurl }}/images/254-machines-support-adding-and-removing-host-devices-2.png)


## Try it out

Cockpit 254 and cockpit-machines 253 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/254)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2021-55aee7fb50)
* [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-6d84fa5ea2)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/252)
* [cockpit-machines Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2021-94dbdd6c6d)
* [cockpit-machines Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-6a5b94490b)

*[CI]: continuous integration (testing)
*[HTTP]: Hypertext Transport Protocol
*[NIC]: Network Interface Card
*[USB]: Universal Serial Bus, a protocol for hot-pluggable (and usually external) devices
*[PCI]: Peripheral Component Interconnect, a bus for attaching devices
*[VM]: Virtual Machine
