---
title: Cockpit 255
author: garrett
date: '2021-10-13'
tags: cockpit, machines
slug: cockpit-255
category: release
summary: 'Improvements with FreeIPA integration and virtual networks'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 255 and cockpit-machines 254:


## FreeIPA-issued webserver certificates get auto-renewed

When you join a [FreeIPA](https://www.freeipa.org) realm with Cockpit, it automatically requests a TLS certificate for its webserver from the FreeIPA domain controller. Browsers usually trust these certificates much more than the default self-signed ones. Cockpit now calls [ipa-getcert](https://linux.die.net/man/1/ipa-getcert) in such a way that the generated `/etc/cockpit/ws-certs.d/10-ipa.{cert,key}` certificate gets renewed automatically.

## Machines: Support configuring static MAC → IP address mappings

It is often useful to assign a fixed IPv4 address to a particular VM. Cockpit can now add DHCP host entries to existing virtual networks. These entries map a specific MAC address to an IP address.

![screenshot of support configuring static mac → ip address mappings]({{ site.baseurl }}/images/255-machines-support-configuring-static-mac-ip-address-mappings.png)

![screenshot of support configuring static mac → ip address mappings]({{ site.baseurl }}/images/255-machines-support-configuring-static-mac-ip-address-mappings-2.png)


## Try it out

Cockpit 255 and cockpit-machines 254 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/255)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2021-7dc34b336a)
* [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-a7a8407de1)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/254)
* [cockpit-machines Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2021-694efa1097)
* [cockpit-machines Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-7ccf08dbe0)

*[IPA]: identity management system ("Identity, Policy, Audit")
*[TLS]: Transport Layer Security
*[VM]: Virtual Machine
