---
title: Cockpit 257
author: garrett
date: '2021-11-10'
tags: cockpit, machines, podman
slug: cockpit-257
category: release
summary: 'Certificate changes, systemd for users, virtual console selecting in Machines, a new container workflow for Podman'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 257, cockpit-machines 256, and cockpit-podman 36:


## Support for reading TLS certificates with any permissions

Formerly, `cockpit-tls`, the process responsible for handling encryption on HTTPS connections to cockpit, would directly read the certificate file for itself.  This required the private key file to be owned by the `cockpit-ws` user (or group) that this process ran as.  Users sometimes want to share the same key file with several different services, making this arrangement awkward.  It also required additional configuration steps in the case of automatically-issued certificates.

Cockpit now reads the certificate and key files as the root user, allowing them to be installed with any set of permissions.

## cockpit-ws no longer supports merged certificates

When running in a container, `cockpit-tls` cannot be used, and `cockpit-ws` must be run directly.

When running in this mode, merged key and certificate files are no longer supported: you must switch to separate `.cert` and `.key` files. If you did not do any particular certificate setup, you can just remove `/etc/cockpit/ws-certs.d/0-self-signed.crt` and let the container re-create a fresh self-signed certificate on startup.

## Services: Show user-owned systemd units

In addition to system system-wide units, systemd manages user-specific units as well. The Services page can now show and control these user instance units with the new "System"/"User" toggle. Changing user units does not require Administrator privileges.

![140483853-7c31cd69-4d5d-4b37-8cdc-4498e1daf813]({{ site.baseurl }}/images/257-services-show-user-owned-systemd-units.png)

## Machines: Support selecting between consoles of the same type

VM configurations can specify multiple PTY consoles. A VM can have an emulated serial console and a virtio serial console. The console menu now shows alias identifiers, making it possible to choose between consoles of the same type.

![140937551-4e7bb79d-54da-4bf7-9c67-b1ac85f1f074]({{ site.baseurl }}/images/257-machines-support-selecting-between-consoles-of-the-same-type.png)

## Podman: New "Create container" workflow

Creating a container is easier and more featureful. The new container creation workflow starts by clicking the "Create container" button, which shows a new dialog.

![141087576-66ad8aaa-937f-44ae-99f9-738fd75ed146]({{ site.baseurl }}/images/257-podman-new-create-container-workflow.png)

The dialog itself shows local images, including manually created images and previously created images, and can download an image directly from a registry.

![141087882-48f73144-549b-44d2-b3ad-bd007e2e3422]({{ site.baseurl }}/images/257-podman-new-create-container-workflow-2.png)

A second tab contains optional system integration with port mapping, volume mapping, and environment variables.

![141087968-5d7ee210-92cc-4efd-87f5-43569b9be60c]({{ site.baseurl }}/images/257-podman-new-create-container-workflow-3.png)

## Podman: Prune unused images

Unused images can now be cleaned up in cockpit-podman. This behaves similar to `podman image prune -a` and can delete unused system _and_ user container images at the same time.

![139233630-1ca43c26-a276-4f9a-9ac5-5caf0d56b277]({{ site.baseurl }}/images/257-podman-prune-unused-images.png)

![140961475-7dbd2501-5a3b-49e0-8edc-f5d5f1f7df53]({{ site.baseurl }}/images/257-podman-prune-unused-images-2.png)

## Try it out

Cockpit 257, cockpit-machines 256, and cockpit-podman 36 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/257)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2021-562664e808)
* [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-9b41f0e6c8)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/256)
* [cockpit-machines Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2021-7616340d68)
* [cockpit-machines Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-57970264be)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/36)
* [cockpit-podman Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2021-2088f7eb4a)
* [cockpit-podman Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2021-58b0f7c034)

*[HTTP]: Hypertext Transport Protocol
*[TLS]: Transport Layer Security
*[VM]: Virtual Machine
