---
title: Cockpit 261
author: marusak
date: '2022-01-25'
tags: cockpit, podman
slug: cockpit-261
category: release
summary: 'Unmounting of busy storage devices and new Podman features'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 261 and cockpit-podman 40:


## Storage: Unmounting or deleting a busy filesystem is now supported

Cockpit can now stop processes and services that keep a filesystem busy before unmounting or destroying a filesystem.

This is accompanied by a general improvement in how destructive actions are summarized in their dialogs.

![screenshot of unmounting or deleting a busy filesystem is now supported]({{ site.baseurl }}/images/261-storage-unmounting-or-deleting-a-busy-filesystem-is-now-supported.png)

![screenshot of unmounting or deleting a busy filesystem is now supported]({{ site.baseurl }}/images/261-storage-unmounting-or-deleting-a-busy-filesystem-is-now-supported-2.png)


## Podman: Add pause/resume to containers

Add the pause and resume options — already available for pods — to
individual containers. Also make the order of the menu options the same
for pods and containers and add "Force restart" to the pod actions.

## Podman: Add option to pull the latest image when creating a new container

When the `:latest` tag of an image is available locally, but a newer version is available on the image registry, checking the "pull latest image" checkbox will now pull the latest version before creating the new container


![screenshot of ## add option to pull the latest image when creating a new container]({{ site.baseurl }}/images/261-add-option-to-pull-the-latest-image-when-creating-a-new-container.png)


## Try it out

Cockpit 261 and cockpit-podman 40 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/261)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-ea4aea1385)
* [Cockpit Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2022-ca051bce3d)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/40)
* [cockpit-podman Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-a4a60897b9)
* [cockpit-podman Fedora 34](https://bodhi.fedoraproject.org/updates/FEDORA-2022-a4a60897b9)

