---
title: Cockpit 265
author: skobyda
date: '2022-03-16'
tags: cockpit, machines
slug: cockpit-265
category: release
summary: 'Animated lists, X-Forwarded-For support, crypto policies, disk serial number, metrics showing busiest CPU core, manifest overrides location'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 265 and cockpit-machines 264:


## Animate new rows in lists

When new items appear on a page, they are highlighted for a short while to make it easier to notice them.

![Peek 2022-03-15 07-47]({{ site.baseurl }}/images/265-animate-new-rows-in-lists.gif)

## Support for `X-Forwarded-For`

When run in a configuration involving a reverse proxy server, Cockpit can now report the client IP address as provided to it by the proxy server, rather than using the IP of the proxy server itself.  This impacts what appears in system login logs, for example, and may have an impact on authentication, depending on which pam modules are in use.

Support for this feature must be explicitly enabled via the new `ForwardedForHeader` option in the [configuration file](https://cockpit-project.org/guide/latest/cockpit.conf.5.html).

## Manifest overrides in /etc and ~/.config directories

[Manifest override files](https://cockpit-project.org/guide/latest/packages.html#package-replace) are a way to customize or hide a Cockpit page's menu entries. Until now these needed to be put next to the `manifest.json` which they modify, for example `/usr/share/cockpit/systemd/override.json`. However, `/usr/share/` is package manager territory, and admins should not (and in some cases cannot) write files there. With this Cockpit version, these overrides can now be placed into `/etc/cockpit/systemd.override.json` for global customizations, or `~/.config/cockpit/systemd.override.json` for user-specific ones.

## Crypto policies support

Cockpit now has basic support for displaying and changing a subset of crypto policies (default, future, legacy). The current configured crypto policy is shown in the "Configuration" card.

![Crypto policies card]({{ site.baseurl }}/images/265-crypto-policies-support.png)

Crypto policy changes can be applied immediately or later. When "Apply only" is selected, the Health card shows that a reboot is required to fully apply the changed crypto policy.

![Crypto policies modal]({{ site.baseurl }}/images/265-crypto-policies-support-2.png)

## Metrics: Show busiest CPU core

On multi-core systems, the Metrics page now shows an additional usage bar for the CPU core with the highest usage. This points out bottlenecks and performance problems which happen because only a few cores (or even a single one) get fully used, while many others are mostly idle. In that case, the average CPU usage will be low.

![screenshot of show busiest cpu core]({{ site.baseurl }}/images/265-metrics-show-busiest-cpu-core.png)

## Machines: Disk serial number

A disk identifier can now be specified for attached disks. This is the identifier that appears for the disk in /dev/disk/by-id on Linux systems and might be useful for multipath storage setups. It may also be useful with proprietary software which is licensed to specific disk serial numbers (which is sometimes seen on Windows).

![Disk serial number modal]({{ site.baseurl }}/images/265-machines-disk-serial-number.png)


## Try it out

Cockpit 265 and cockpit-machines 264 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/265)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-ad93e6cdcb)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-ec9612ac99)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/264)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-7e1cbde0f7)
* [cockpit-machines Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-2cd2b4d57d)

*[CPU]: Central Processing Unit, the "brain" of a computer
*[repo]: repository
*[VM]: Virtual Machine
