---
title: Cockpit 267
author: pitti
date: '2022-04-13'
tags: cockpit, machines
slug: cockpit-267
category: release
summary: ''
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 267 and cockpit-machines 266:


## FIPS crypto policy support

The Federal Information Processing Standard (FIPS) is a computer security standard developed by the U.S. Government and industry working group to validate the quality of cryptographic modules. See the official FIPS publications at [NIST Computer Security Resource Center](https://csrc.nist.gov/publications/fips).

In Red Hat Enterprise Linux, CentOS Stream, and Fedora Linux, the crypto policy dialog can now enable or disable FIPS mode, using the [fips-mode-setup command](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/security_hardening/assembly_installing-a-rhel-8-system-with-fips-mode-enabled_security-hardening). Cockpit will also validate the consistency of the kernel and user-space configuration, and can reapply FIPS when settings are out of sync.

![screenshot of fips crypto policy support]({{ site.baseurl }}/images/267-fips-crypto-policy-support.png)

## Machines: Redesign VM creation

The virtual machine creation dialog has been reorganized using two tabs: a mandatory "Details" configuration and an optional "Automation" configuration. The automation section can set passwords and create an account on supported operating systems when either "Download an OS" or "Cloud base image" are selected.

Clicking on "Create and run" will create, immediately start, and install the VM. Clicking on "Create and edit" will create the VM in a "shut-off" state and redirect the user to the details page, where the VM may be further customized before starting installation.

![details_tab]({{ site.baseurl }}/images/267-machines-redesign-vm-creation.png)

![automation_tab]({{ site.baseurl }}/images/267-machines-redesign-vm-creation-2.png)

## Machines: Remove static hosts from virtual network's DHCP

The "static host" entries now have a "remove" action.

![network_overview]({{ site.baseurl }}/images/267-machines-remove-static-hosts-from-virtual-network-s-dhcp.png)


## Try it out

Cockpit 267 and cockpit-machines 266 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/267)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-9da2abe257)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-70c1d3d182)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/266)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-6112b9e895)
* [cockpit-machines Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-adfdc882ed)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

*[FIPS]: Federal Information Processing Standard
*[VM]: Virtual Machine
