---
title: Cockpit 269
author: garrett
date: '2022-05-12'
tags: cockpit, machines
slug: cockpit-269
category: release
summary: 'Dark mode for Cockpit Client, metrics usage shows containers, default fallback name for new VMs'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 269 and cockpit-machines 268:


## Dark mode for Cockpit Client

The chrome of [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient) now follows the system dark style preference.  We're working on adding dark mode for Cockpit itself in the near future.

![cockpit client, in dark mode compared to light mode]({{ site.baseurl }}/images/269-cockpit-client-dark.png)

## Metrics: Show Podman containers in top CPU and memory lists

Current metrics cards for CPU and memory now show [Podman](https://podman.io/) containers, in addition to systemd services. 

![container memory usage]({{ site.baseurl }}/images/269-metrics-show-podman-containers-in-top-cpu-and-memory-lists.png)

## Machines: Provide default name for new VMs

If no name is specified for a new virtual machine, generate a unique name based on the name of the operating system. The autogenerated name is visible only after the operating system is selected.

![create VM dialog with a generated default name]({{ site.baseurl }}/images/269-machines-provide-default-name-for-new-vms.png)


## Try it out

Cockpit 269 and cockpit-machines 269 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/269)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-8204559683)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-911bd0f4a3)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/269)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-4b47be5825)
* [cockpit-machines Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-fb2e44c08b)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

*[CPU]: Central Processing Unit, the "brain" of a computer
*[VM]: Virtual Machine
*[VMs]: Virtual Machines
