---
title: Cockpit 270
author: garrett
date: '2022-05-24'
tags: cockpit, machines, podman
slug: cockpit-270
category: release
summary: 'Timer deletions, improved system diagnostics, better remove & deletion dialogs for VMs, container renaming, and container health checks'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 270, cockpit-machines 269, and cockpit-podman 48:


## Services: User-created timer deletion

User-created systemd timers (in `/etc/systemd/system`) can now be deleted.
 
![screenshot of delete in the timer menu]({{ site.baseurl }}/images/270-services-user-created-timer-deletion.png)

![screenshot of user-created timer deletion dialog]({{ site.baseurl }}/images/270-services-user-created-timer-deletion-2.png)

## System Diagnostics: Working with diagnostic reports has been improved

The Diagnostic Reports page now lists all reports that have been created. Reports can be downloaded and removed from the list. When creating a new report, several options can be specified.

![system diagnostics screenshot]({{ site.baseurl }}/images/270-system-diagnostics-working-with-diagnostic-reports-has-been-improved.png)

## Machines: Redesign content removal dialogs

Dialogs for deleting resources on the Machines page now show details about which resources are about to be deleted. 

For example: Removing host devices from the VM shows the host device with identifying information such as vendor, product, and slot number.

![screenshot of removing host devices]({{ site.baseurl }}/images/270-machines-remove-device.png)

Another example: When deleting a storage pool, optional deletion of volumes now shows which volumes would be deleted.

![screenshot of deleting a storage pool]({{ site.baseurl }}/images/270-machines-delete-pool.png)

## Podman: Container renaming

Container names can be changed from the container's menu.

![screenshot of rename dialog]({{ site.baseurl }}/images/270-podman-container-renaming.png)

_Thanks to Pavel Stržínek for this feature!_

## Podman: Health check support

Health checks can be set up when creating a container. In container details, the current health check result and history can be viewed. Additionally, in the details, health checks can be manually triggered.

![screenshot of health checks in Cockpit-Podman]({{ site.baseurl }}/images/270-support-for-health-checks.png)


## Try it out

Cockpit 270, cockpit-machines 269, and cockpit-podman 48 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/270)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-d1b9fc4e30)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-ed88e19a91)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/269)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-249a94b0af)
* [cockpit-machines Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-aeb2edb3a9)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/48)
* [cockpit-podman Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-bd43bce242)
* [cockpit-podman Fedora 35](https://bodhi.fedoraproject.org/updates/FEDORA-2022-60a9b137db)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

*[repo]: repository
*[VM]: Virtual Machine