---
title: Cockpit 273
author: garrett
date: '2022-07-20'
tags: cockpit, machines
slug: cockpit-273
category: release
summary: CPU temperature, easier manual IP configuration, auto-reboot after software updates, install RHEL VMs
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 273 and cockpit-machines 272:

## Metrics: Display CPU temperature

The metrics page now displays the CPU temperature and includes a warning icon when the system becomes too hot.

![cpu-temp-warn]({{ site.baseurl }}/images/273-metrics-display-cpu-temperature.png)

## Networking: Suggest netmask and gateway addresses

When adding a manual IPv4 address to a network interface, the dialog now fills in plausible values for the net mask (based on the network class) and gateway (usually ending with .1 or .254).

![ipv4-helper-animation]({{ site.baseurl }}/images/273-networking-suggest-netmask-and-gateway-addresses.gif)

_Thanks to Gil Obradors for contributing this feature!_

## Software Updates: Optionally reboot after updating

While updating a system, there is a new option to automatically reboot after the update process succeeds.

![screenshot of optionally reboot after updating]({{ site.baseurl }}/images/273-software-updates-optionally-reboot-after-updating.png)

## cockpit/ws container: Support modern SSH keys

[Cockpit 272](https://cockpit-project.org/blog/cockpit-272.html) introduced [cockpit/ws container](https://quay.io/repository/cockpit/ws) support for authenticating with classic RSA PEM type SSH keys. This was improved to support all key types, in particular the "OpenSSH" format or EC types.

## Machines: Download RHEL images

You can now easily create Red Hat Enterprise Linux VMs. The create dialog links to the page to get a download token tied to your Red Hat subscription, and uses the token to download the selected RHEL VM image.

![vm-create-rhel]({{ site.baseurl }}/images/273-machines-download-rhel-images.png)


## Try it out

Cockpit 273 and cockpit-machines 272 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/273)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/?releases=F36&packages=cockpit)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/?releases=F35&packages=cockpit)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/272)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/?releases=F36&packages=cockpit-machines)
* [cockpit-machines Fedora 35](https://bodhi.fedoraproject.org/updates/?releases=F35&packages=cockpit-machines)

*[CPU]: Central Processing Unit, the "brain" of a computer
*[repo]: repository
*[RHEL]: Red Hat Enterprise Linux
*[SSH]: Secure Shell, a common protocol to securely connect to a remote computer
*[VM]: Virtual Machine
*[VMs]: Virtual Machines
