---
title: Cockpit 275
author: jelle
date: '2022-08-25'
tags: cockpit, podman
slug: cockpit-275
category: release
summary: Support for alternatives to sudo, image history, restart policy, container ports, volumes and environments
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 275 and cockpit-podman 52:


## Shell: Support for alternatives to sudo

Cockpit has always had the theoretical ability to run arbitrary programs to gain administrative access, by adding them to a package manifest.  However, the UI would always use "sudo". Now, if multiple programs are defined, the UI will prompt for which one to use.

By default, Cockpit will still only use "sudo", so unless you actually add more programs via a manifest, there will be no visible change in the UI.


## Podman: Image history

The image detail view now has a new tab which shows the image history similar to `podman image history`.

![screenshot of ## image history]({{ site.baseurl }}/images/275-image-history.png)

## Podman: Restart policy available for users with lingering enabled

Although lingering is not recommended, cockpit-podman now supports setting a restart policy when a user has enabled lingering.

## Podman: Display ports, volumes and environment variables

Published ports, mounted volumes and environment variables are now visible in container integration tab.
By default only variables set by user are shown. After clicking `Show more` all variables are visible.

![containers-integration]({{ site.baseurl }}/images/275-display-ports-volumes-and-environment-variables.png)


## Try it out

Cockpit 275 and cockpit-podman 52 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/275)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/?releases=F36&packages=cockpit)
* [Cockpit Fedora 35](https://bodhi.fedoraproject.org/updates/?releases=F35&packages=cockpit)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/52)
* [cockpit-podman Fedora 36](https://bodhi.fedoraproject.org/updates/?releases=F36&packages=cockpit-podman)
* [cockpit-podman Fedora 35](https://bodhi.fedoraproject.org/updates/?releases=F35&packages=cockpit-podman)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

