---
title: Cockpit 277
author: garrett
date: '2022-09-22'
tags: cockpit, machines, podman
slug: cockpit-277
category: release
summary: 'Login fixes, RHEL downloading improvements, Podman containers visible by default'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 277, cockpit-machines 275, and cockpit-podman 54:


## Login: Improve password manager compatibility

The HTML of the login page has been adjusted to be more compatible with password managers in popular browsers. Usernames and passwords are more likely to be prefilled or selectable, depending on the password manager and browser.

_Thanks to [Jacek Tomasiak](https://github.com/skazi0) for pointing this out and providing a fix!_

## Login: Fix "This web browser is too old" error with upcoming browsers

Newer, upcoming browser versions have improved next-level support for `:is()` and `:where()` selectors. Cockpit was checking for support an empty usage which passed on browsers in the earlier (current as of writing) implementation. However, browsers have recently updated their parsing support for "[Forgiving Selector Parsing](https://developer.mozilla.org/en-US/docs/Web/CSS/:is#forgiving_selector_parsing)", which caused the newer development versions of Firefox, Chrome, and WebKit to fail this check, preventing the browsers from logging into Cockpit.

The check has now been adjusted so current and upcoming browser versions all pass.

Additionally, hotfixes for older versions of Cockpit have been published for various distributions. If you have an error while trying to log in with a new browser on an older Cockpit version, please upgrade your version of Cockpit.

Updates have been issued for the following distributions and versions:

  - ✅ **CentOS Stream 8 & 9**: Fixed.
  - ✅ **Fedora**: Fixed in ≥ 36.
  - ⌛ **RHEL 8.6 & 9.0** are affected, fixes are not yet published.
  - ✅ **RHEL** versions older than 8.6 are *not* affected.
  - ✅ **Debian**: Fixed in testing and backports. Stable (11 and earlier)  are *not* affected.
  - ✅ **Ubuntu Kinetic** (current devel series) and the backport for 22.04 LTS got fixed. 
  - ⌛ **Ubuntu 22.04 LTS** is still affected, but will be fixed soon.

_Huge thanks to [Emilio Cobos Álvarez](https://github.com/emilio) for bringing this to our attention and sending a PR with a fix!_

## Machines: RHEL offline token management improvements

Downloading Red Hat Enterprise Linux directly from within Cockpit's Machines page requires an offline token. It's now validated on entry.

![demo1]({{ site.baseurl }}/images/277-machines-rhel-offline-token-management-improvements.gif)

Valid tokens are saved in browser LocalStorage and re-validated and re-used the next time a machine image is downloaded.

![demo2]({{ site.baseurl }}/images/277-machines-rhel-offline-token-management-improvements-2.gif)

## Podman: Show all containers by default

Cockpit-podman now shows all containers by default. This is especially useful for seeing containers that are stopped or restarting.


## Try it out

Cockpit 277, cockpit-machines 275, and cockpit-podman 54 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/277)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2022-c0ec7a8253)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-a80ce9a9a5)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/275)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2022-910c7c7686)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-1ed4f71302)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/54)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2022-7b2348ff9f)
* [cockpit-podman Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-156cda8c46)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

*[OS]: Operating System
*[repo]: repository
*[RHEL]: Red Hat Enterprise Linux