---
title: Cockpit 279
author: garrett
date: '2022-11-03'
tags: cockpit, machines
slug: cockpit-279
category: release
summary: 'Dark mode, insert and eject disc media for VMs, and allow trim on VM disks'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 279 and cockpit-machines 277:


## Dark mode support

Cockpit now switches to a dark theme when system dark mode is enabled.

While many people just think it looks cool, dark mode is also an accessibility setting which helps people with various eyesight conditions and migraines. Dark mode can be easier to use in a dark environment as well.

![light to dark animation]({{ site.baseurl }}/images/279-dark-mode-support.gif)

Most modern desktops and operating systems have system-level controls to switch between light and dark modes.

- [**GNOME** 42 added dark mode support](https://release.gnome.org/42/) in the "Settings" app, under "Appearance". [GNOME 43](https://release.gnome.org/43/) went a step further and added a toggle in the menu at the top-right of the screen. GNOME is the default desktop of distributions such as Fedora Linux, Red Hat Enterprise Linux, CentOS Stream, Ubuntu, Intel Clear Linux*, and several others.
- **KDE** ships with a light and dark theme and has a switch in settings. There is [a bug between KDE and Chromium](https://bugs.chromium.org/p/chromium/issues/detail?id=998903), however, but [it does have a workaround](https://www.reddit.com/r/kde/comments/wjnuk3/enable_kde_dark_mode_so_that_apps_website_detect/). Firefox is fine by default.
- [**Windows 10**](https://support.microsoft.com/en-us/windows/change-colors-in-windows-d26ef4d6-819a-581c-1581-493cfcc005fe#WindowsVersion=Windows_10) and [**Windows 11**](https://support.microsoft.com/en-us/windows/change-colors-in-windows-d26ef4d6-819a-581c-1581-493cfcc005fe#WindowsVersion=Windows_11) both have light and dark mode settings in the [Windows Settings app under "Personalization" > "Colors"](https://blogs.windows.com/wp-content/uploads/prod/sites/2/2019/03/c994efd5af9c359253e4d200115e2981.gif).
- [**macOS** has auto, dark, and light modes](https://support.apple.com/en-us/HT208976) in the settings app.
- [**iPhones** and **iPads** support light and dark modes](https://support.apple.com/en-us/HT210332) in settings and control center, and can auto-adjust based on a schedule.
- [**Android** 9 (2018) and up have dark mode support](https://support.google.com/pixelphone/answer/7169926?hl=en), and recent versions can adjust on a schedule. Some other popular devices such as Samsung and OnePlus have had dark mode support for some time as well.
- **Browsers** such as Firefox, Chrome, and Safari have the option to manually set dark or light mode or use the system setting. On Linux, if the standard desktop setting is not supported by a desktop, most browsers will usually guess based on the system theme (dark text on light background or vice versa).
- [**Cockpit Client**](https://flathub.org/apps/details/org.cockpit_project.CockpitClient), the native Linux desktop app, has dark and light mode support. It supports the system setting and passes this information to Cockpit.

## Allow TRIM/UNMAP requests by default for newly added disks

"Trim" is a method to reduce space used by data on a disk.

When creating a new VM or adding a new disk to a VM, Cockpit Machines configures libvirt to respect an operating system's trim commands.

Please note that this change only allows trim requests to be sent. It doesn't set up any periodic trim mechanism. Most Linux distributions are already set up to send trim commands for SSDs and disk images by default. Other recent versions of operating systems, such as Windows, also sends trim commands. Some older operating systems and distributions do not send trim and would require manual configuration to use this space-saving option.

## Insert and eject CD & DVD media

CD and DVD media can be inserted and ejected while a VM is running.

![Screenshot from 2022-11-03 00-44-56]({{ site.baseurl }}/images/279-insert-and-eject-cd-dvd-media.png)

![Screenshot from 2022-11-03 00-47-06]({{ site.baseurl }}/images/279-insert-and-eject-cd-dvd-media-2.png)


## Try it out

Cockpit 279 and cockpit-machines 277 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/279)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2022-6d41f89647)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-9dd5ded435)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/277)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2022-c10ca09579)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2022-75729ed52d)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

*[OS]: Operating System
*[VM]: Virtual Machine
