---
title: Cockpit 283
author: garrett
date: '2023-01-12'
tags: cockpit, machines
slug: cockpit-283
category: release
summary: 'Minutely timers, system & session VM summary, virtual watchdog for VMs'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 283 and cockpit-machines 281:


## Services: Create timer to run every minute

In the Timers part of Services page, the create timer dialog can create systemd timers to run in "minutely" mode, which runs a command every minute on the specified second.

_Huge thanks to [Daniel Haas (dphaas2004)](https://github.com/dphaas2004) for [this feature](https://github.com/cockpit-project/cockpit/pull/17592#issue-1317035572)!_

![screenshot of create timer to run every minute]({{ site.baseurl }}/images/283-services-create-timer-to-run-every-minute.png)

## Machines: Summarize system and user session differences

There are several differences when running a virtual machine at the system level versus running a VM in a user session. Cockpit Machines now explains the pros and cons of each inside a popup in the Create VM modal dialog.

![screenshot of summarize system and user session differences]({{ site.baseurl }}/images/283-machines-summarize-system-and-user-session-differences.png)

## Machines: Virtual watchdog device support

Watchdog devices are typically hardware devices that work with an operating system to reboot a machine with it stops responding.

Cockpit Machines now has support for adding a virtual software-based watchdog device to a machine.

Please note that the watchdog device _also_ needs to be configured within the guest operating system to be used.

![screenshot of virtual watchdog device support]({{ site.baseurl }}/images/283-machines-virtual-watchdog-device-support.png)

## Try it out

Cockpit 283 and cockpit-machines 281 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/283)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-74586bb92c)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2023-8bc12f90dd)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/281)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-49b3964047)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2023-3b424a9b80)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/60)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-e680d8b5cb)
* [cockpit-podman Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2023-c0a825e37f)

*[API]: Application Programming Interface
*[VM]: Virtual Machine