---
title: Cockpit 284
author: pitti
date: '2023-01-25'
tags: cockpit, machines
slug: cockpit-284
category: release
summary: 'User logs, NBDE, forceful snapshot reverting, and improved default container command'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 284, cockpit-machines 282, and cockpit-podman 61:


## Services: Show logs for user units

The Services page now shows journal logs for user systemd services.

![screenshot of show logs for user units]({{ site.baseurl }}/images/284-services-show-logs-for-user-units.png)

*Many thanks to [Timothy Johnson](https://github.com/t1m0thyj) for this contribution!*

## Storage: Set up NBDE

It is possible (and unfortunately likely) that a system is misconfigured and can not mount filesystems during boot that rely on Clevis to unlock them. Cockpit can now fix this when adding a keyserver to a encrypted filesystem.

![screenshot of set up a system to use nbde]({{ site.baseurl }}/images/284-storage-set-up-a-system-to-use-nbde.png)

## Machines: Option to forcefully revert a snapshot

There are situations where a snapshot revert involves extra risk and the user should either consider not reverting snapshot, or force it. The few most common cases are:
- Snapshot that lacks full domain information for reverting configuration. In this case, the user should be sure that snapshot is compatible with the current configuration (if it is not, the domain will likely fail to run).
- Reverting from a running domain to an active state where a new hypervisor has to be created rather than reusing the existing hypervisor.
- Snapshot of inactive VM which also has a managed saved state. This requires forceful revert because the snapshot does not contain a memory state and will therefore not replace the existing memory state. This ends up switching a disk underneath a running system and can cause filesystem corruption or crashes due to swap content mismatches when run.

![Screenshot from 2023-01-24 15-37-22]({{ site.baseurl }}/images/284-machines-option-to-forcefully-revert-a-snapshot.png)

## Podman: Use container image's default command

Newly created containers now use the container image's suggested command by default. Just as before, this command can be changed when creating a container in `cockpit-podman`. Previously, the command always defaulted to suggest using `sh`.


## Try it out

Cockpit 284, cockpit-machines 282, and cockpit-podman 61 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/284)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-7bc8f746cd)
* [Cockpit Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2023-7950dba0f6)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/282)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-26387fe37c)
* [cockpit-machines Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2023-02142ab4aa)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/61)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-944b01ac33)
* [cockpit-podman Fedora 36](https://bodhi.fedoraproject.org/updates/FEDORA-2023-45017bdb00)

*[NBDE]: network-bound disk encryption
*[VM]: Virtual Machine
