---
title: Cockpit 287
author: garrett
date: '2023-03-09'
tags: cockpit, podman
slug: cockpit-287
category: release
summary: 'Pinned services update, esbuild developer information'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 287 and cockpit-podman 64:


## Services: Pinned units need to be re-done

The data storage for "pinned" systemd units has changed. After upgrading to this Cockpit version, you need to re-pin units.

## Development: Cockpit now supports the esbuild bundler

[esbuild](https://esbuild.github.io/) is a much faster bundler alternative for [webpack](https://webpack.js.org/). It also  natively understands [JSX](https://reactjs.org/docs/introducing-jsx.html), so that it is not necessary any more to use [babel](https://babeljs.io/). Cockpit's shared components and bundler plugins in [pkg/lib/](https://github.com/cockpit-project/cockpit/tree/main/pkg/lib) now support both eslint and webpack, so that projects can pick either. [cockpit-podman](https://github.com/cockpit-project/cockpit-podman) moved to esbuild in [this commit](https://github.com/cockpit-project/cockpit-podman/commit/d48f58297f66d2f6390aa85b54883d9be980850b). You may choose to do the same for your project.


## Try it out

Cockpit 287 and cockpit-podman 64 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/287)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-6987aaacad)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-2e47853ed4)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/285)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-99b4679f77)
* [cockpit-machines Fedora 37]https://bodhi.fedoraproject.org/updates/FEDORA-2023-9893be2f68()
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/64)
* [cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-82b8596f0f)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-ff01f5ff9e)

