---
title: Cockpit 288
author: kkoukiou
date: '2023-03-22'
tags: cockpit, machines, podman
slug: cockpit-288
category: release
summary: 'Metrics redesign, accounts page improvements, virtual machines cloud base editing, services page speed ups, chronyd manual time servers'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 288, cockpit-machines 286, and cockpit-podman 65:

## Accounts: Show shell and home directory on detail page

Account detail pages show the home directory and shell for an account.

![details page for an account, showing the newly added shell and home directory entries]({{ site.baseurl }}/images/288-accounts-show-shell-and-home-directory.png)

## Accounts: Custom user ID during account creation

A custom user ID can now be specified during account creation. It defaults to the next available user ID on the system.

![account creation dialog showing an entry for user ID]({{ site.baseurl }}/images/288-accounts-custom-user-id-during-account-creation.png)

## Overview: Support additional timeservers with chronyd

Cockpit can now configure additional time servers when chronyd is used to synchronize the clock. Previously, this was only supported with systemd-timesyncd.

![screenshot of support for additional timeservers with chronyd]({{ site.baseurl }}/images/288-overview-support-for-additional-timeservers-with-chronyd.png)

## Metrics: Show longer time span by default

The PCP metrics graphs have been redesigned to only show a summary of events for each hour, so that more data fits on the page. The hours can be expanded to get more details.

![screenshot of new design with more info in default view]({{ site.baseurl }}/images/288-metrics-new-design-with-more-info-in-default-view.png)

## Storage: Mounting filesystems at boot time

Filesystems created in Cockpit are usually not used for the main operating system, so they are often supplemental. As such, they now default to `nofail`, to allow a server to boot even if the additional filesystem is not mounted.

The new "at boot" option provides several choices with explanations of when the filesystem would be mounted and what would happen if it was not mounted.

![screenshot of the "nofail" and "_netdev" options are exposed as a dropdown]({{ site.baseurl }}/images/288-storage-the-nofail-and-netdev-options-are-exposed-as-a-dropdown.png)

## Machines: Create VM based on cloud image and start it later

A VM created from a "cloud base" image can now use the "Create and edit" mode. This is a way to edit all virtual machine properties (bootloader, boot order, disks, networking, etc.) before the VM is installed.

## API removal: Remove cockpit.dbus.publish() and .meta()

The `cockpit.js` library dropped `cockpit.dbus.publish()` and `cockpit.dbus.meta()`, which were meant to create a D-Bus server object from inside a Cockpit page. No [known Cockpit project](https://cockpit-project.org/applications.html) has ever used these functions, and we are not aware of a good use case.

If you are using this API, please [let us know](https://github.com/cockpit-project/cockpit/issues)!

## Try it out

Cockpit 288, cockpit-machines 286, and cockpit-podman 65 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/288)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-6741936c44)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-7372072c3f)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/286)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-dc57efee43)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-fb892a5b15)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/65)
* [cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-18b5f87527)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-b6a77df4df)

*[API]: Application Programming Interface
*[PCP]: Performance Co-Pilot
*[VM]: Virtual Machine
*[UID]: User ID
