---
title: Cockpit 289
author: garrett
date: '2023-04-06'
tags: cockpit, machines, podman
slug: cockpit-289
category: release
summary: 'Accounts password improvements, metrics improves colors, system virtualization check, and Podman gets health check actions and a sortable container list'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 289, cockpit-machines 287, and cockpit-podman 66:


## Metrics: Indicate high usage and use colorblind-friendly colors

Graphs on the metrics page indicate high usage by using a darker variant of the color. Additionaly, colors have been adjusted to use a colorblind-optimized subset of PatternFly chart colors.

![228601347-df99586b-3c21-467f-a74d-1c0f020c2afc]({{ site.baseurl }}/images/289-metrics-indicate-extreme-usage-and-use-colorblind-friendly-colors.png)

## Accounts: Improve password validation

When creating an account, password validation actively performs a check on every keystroke, once the same numbers of character have been met. Additionally, weak passwords are now shown with a warning to discourage usage, but can still be overridden in most cases.

![Screenshot from 2023-04-05 12-41-47]({{ site.baseurl }}/images/289-accounts-improve-password-validation.png)

## Machines: Show an alert when virtualization is disabled in BIOS/EFI

Cockpit-Machines displays a full-page alert when virtualization is disabled in the BIOS/EFI settings, preventing potential issues when running a VM.

![screenshot of show an alert when virtualization is disabled in bios/efi]({{ site.baseurl }}/images/289-machines-show-an-alert-when-virtualization-is-disabled-in-bios-efi.png)

_Thanks to Subho Ghosh for this contribution!_

## Podman: Custom healthcheck actions

When health checks fail, Cockpit-Podman can now optionally restart, stop, or force stop a container. This feature requires Podman 4.3 or higher.

![screenshot of custom healthcheck actions]({{ site.baseurl }}/images/289-podman-custom-healthcheck-actions.png)

## Podman: Container list can be sorted

Cockpit-Podman's container list now supports sorting by name, owner, CPU, memory, and state.

![screenshot of container list can be sorted]({{ site.baseurl }}/images/289-podman-container-list-can-be-sorted.png)


## Try it out

Cockpit 289, cockpit-machines 287, and cockpit-podman 66 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/289)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-1a8140e161)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-f27bb11ca0)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/287)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-47a24b2d85)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-2ffbc6367b)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/65)
* [cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-e4f5cd6177)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-e0ccd4e3c8)

*[CPU]: Central Processing Unit, the "brain" of a computer
*[OS]: Operating System
*[VM]: Virtual Machine
