---
title: Cockpit 290
author: pitti
date: '2023-04-19'
tags: cockpit, machines, podman
slug: cockpit-290
category: release
summary: 'webserver hardening, VM shutdown indicator, VM storage file cleanup'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 290, cockpit-machines 288, and cockpit-podman 67:


## webserver: Disallow direct URL logins with `LoginTo=false`

[cockpit.conf](https://cockpit-project.org/guide/latest/cockpit.conf.5.html) has a `LoginTo=` option. This allows the admin to disable the login page's "Connect to:" functionality for directly logging into a remote host through SSH. Setting it to `false` previously still left the possibility of a remote login through directly specifying an appropriate URL. With this Cockpit version, `LoginTo=false` disallows logins through remote URLs as well.

If cockpit-ws is exposed to the public internet, and also has access to a private internal network, it is recommended to explicitly set `LoginTo=false`. This prevents unauthenticated remote attackers from scanning the internal network for existing machines and open ports.

## Machines: Indicate need for shutdown

The VM list and detail pages now display a "changes pending" status label to indicate that the VM needs to be shut down for recent configuration changes to take effect. Clicking the label lists the specific changes.

![screenshot of indicate need for shutdown]({{ site.baseurl }}/images/290-machines-indicate-need-for-shutdown.png)

## Machines: Delete storage file when detaching disk

When detaching a disk from a VM, the underlying storage file can now be deleted as well.

![Screenshot from 2023-04-18 15-13-08]({{ site.baseurl }}/images/290-machines-delete-storage-file-when-detaching-disk.png)


## Try it out

Cockpit 290 and cockpit-machines 288 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/290)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-bc7e3718bc)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-363cf1cea2)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/288)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-e58c52135a)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-b2688e6dd9)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/67)
* [cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-d584b2a229)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-e898a1a22e)

*[SSH]: Secure Shell, a common protocol to securely connect to a remote computer
*[VM]: Virtual Machine
