---
title: Cockpit 291
author: mvollmer
date: '2023-05-03'
tags: cockpit, machines, podman
slug: cockpit-291
category: release
summary: 'PatternFly 5, create VMs with raw disks, VM CPU editing refinements'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from cockpit 291, cockpit-machines 289.1, and cockpit-podman 68:


## Update to PatternFly 5 alpha

Cockpit is now an "early adopter" of PatternFly 5. Everything should look the same. We ensured all functional and visual tests pass.

While this should not affect anyone using Cockpit, it definitely will affect everyone developing for Cockpit. Read more on [our PatternFly 5 blog post](https://cockpit-project.org/blog/patternfly-v5-alpha.html).

## Machines: VM creation supports raw disk format

During virtual machine creation, there is now a raw disk option in the storage format selection.

![Screenshot from 2023-05-03 12-32-48]({{ site.baseurl }}/images/291-option-to-use-raw-volume-during-vm-creation.png)

## Machines: Redesign virtual machine CPU configuration

The CPU model dialog and vCPU topology have been merged into a single overview entry and dialog. Additionally, a few minor improvements have been added, including vCPU maximum and vCPU count now being number inputs.

![Screenshot from 2023-05-03 12-32-03]({{ site.baseurl }}/images/291-redesign-vm-s-cpu-configuration.png)

![Screenshot from 2023-05-03 12-40-15]({{ site.baseurl }}/images/291-redesign-vm-s-cpu-configuration-2.png)


## Try it out

Cockpit 291, cockpit-machines 289.1, and cockpit-podman 68 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/291)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-7c385a140e)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-914cfed0e7)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/289.1)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-f73576a710)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-44a39665df)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/68)
* [cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-78662c9117)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-b1b46b4120)

*[CPU]: Central Processing Unit, the "brain" of a computer
*[VM]: Virtual Machine