---
title: Cockpit 292
author: pitti
date: '2023-05-16'
tags: cockpit, machines
slug: cockpit-292
category: release
summary: 'Per-service disk IO, right-to-left language fixes, robust VM watchdog changes'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 292 and cockpit-machines 290:


## Metrics: Add disk I/O per service

The "Disks" usage metrics card now shows the active read and write bandwidth for the top 5 consumers by systemd unit. This is similar to the already existing per-service CPU and RAM usage.

![metrics-disks-io-cgroups]({{ site.baseurl }}/images/292-metrics-add-disk-io-per-service.png)

## Machines: Add watchdogs which require reboot

In some cases, adding a watchdog to a running VM fails. When that happens, the changes can only be applied through rebooting the VM. The "Add watchdog" dialog now supports this case.

![234253257-d6bc8d91-7b66-4ef7-b9df-79d554f92b0b]({{ site.baseurl }}/images/292-machines-apply-watchdog-changes-on-next-boot-if-hotplug-fails.png)
## Several right-to-left language fixes

In [Cockpit 282](https://cockpit-project.org/blog/cockpit-282.html), the first round of RTL support arrived. This release of Cockpit further dramatically improves RTL support.

_A big thanks to [Ahmed Abdelatty](https://github.com/ahmedr2001/) for kickstarting this most recent round of improvements!_


## Try it out

Cockpit 292, cockpit-machines 290, cockpit-podman 69, and cockpit-ostree 193 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/292)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-636e748ae9)
* [Cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-603a5a4abc)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/290)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-eb3f0741df)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-c5ffcaae0d)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/69)
* [cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-a1c1894f12)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-b1b46b4120)
* [cockpit-ostree Source Tarball](https://github.com/cockpit-project/cockpit-ostree/releases/tag/193)
* [cockpit-ostree Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-9c114ab681)
* [cockpit-ostree Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-f401c4af8b)

*[CPU]: Central Processing Unit, the "brain" of a computer
*[RAM]: Random Access Memory
*[VM]: Virtual Machine
