---
title: Cockpit 293
author: jelle
date: '2023-06-01'
tags: machines, podman
slug: cockpit-293
category: release
summary: 'VM vsock devices and pruning of unused podman containers'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from cockpit-machines 291 and cockpit-podman 70:


##  Vsock device support

Virtual socket support enables communication between the host and guest over a socket. Cockpit Machines now has support for setting up such a device.

![vsock-edit]({{ site.baseurl }}/images/293-vsock-device-support.png)

The user can choose to configure a custom identifier, or let have it assigned automatically upon a VM's boot. The identifier is used by the host to uniquely identify vsock of a specific guest.

![vsock-edit-dialog]({{ site.baseurl }}/images/293-vsock-device-support-2.png)

Please note that vsock still requires special vsock-aware software (e.g. socat) to communicate over the socket.

## Podman: Support for pruning unused containers

Similar to `podman container prune`, cockpit-podman now has a "prune" dialog for bulk deletion of stopped and exited containers. This dialog provides the option to unselect containers while displaying container names, creation dates, and owner information to help ensure the intended containers are selected for deletion.

![screenshot of support for pruning unused containers]({{ site.baseurl }}/images/293-podman-support-for-pruning-unused-containers.png)


## Try it out

cockpit-machines 291 and cockpit-podman 70 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/291)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-660dc65689)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-81fda75565)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/70)
* [cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-d3ed5e2d5b)
* [cockpit-podman Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-7acba90d38)
