---
title: Cockpit 294
author: jelle
date: '2023-06-14'
tags: cockpit
slug: cockpit-294
category: release
summary: 'Python bridge'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 294:


## Introducing the Python bridge

The primary process in a Cockpit Linux session is called `cockpit-bridge`. It translates operating system interfaces to a JSON stream protocol, which is used by Cockpit browser pages. 

Recently, `cockpit-bridge` has been rewritten in Python. The rewrite is now complete enough to start rolling it out.

- In Release 294, the Python bridge will be used on Debian unstable/testing and Fedora Rawhide (release ≥ 39).
- As the Python bridge undergoes further stabilization, it will gradually become available on additional distributions.
- The old C bridge will be retained for RHEL/CentOS 8 and Ubuntu 22.04 LTS, to avoid any potential risks.

Despite careful testing, the new bridge may cause some regressions or instability. Please [let us know](https://github.com/cockpit-project/cockpit/issues/new?template=bug_report.yml) if you run into any trouble!

In addition to improving maintainability, the Python bridge will enable some exciting new features. For example: Using Cockpit with machines that do not have Cockpit packages installed.

This functionality is already available in Cockpit Client as a preview release on `flathub-beta`:

```
flatpak install flathub-beta org.cockpit_project.CockpitClient
flatpak run --branch=beta org.cockpit_project.CockpitClient
```

See the [instructions for using `flathub-beta`](https://discourse.flathub.org/t/how-to-use-flathub-beta/2111) for more information.


## Try it out

Cockpit 294 is available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/294)
* [cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-c00baddb1c)
* [cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-b500a949c8)
* [cockpit Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-d28920270e)


*[OS]: Operating System
*[repo]: repository
*[RHEL]: Red Hat Enterprise Linux
