---
title: Cockpit 301
author: jelle
date: '2023-09-20'
tags: cockpit
slug: cockpit-301
category: release
summary: 'Link to network interface details from metrics and Wireguard support'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 301:


## Metrics: Link to network interface details

The interface names in the current network I/O card are now clickable links which lead to the detail view of the "Networking" page.

![screenshot of link to network interface details]({{ site.baseurl }}/images/301-metrics-link-to-network-interface-details.png)

_Thanks to [leomoty](https://github.com/leomoty/) for this improvement!_

## Networking: Add support for WireGuard

The Networking page can now create and edit [WireGuard VPN](https://www.wireguard.com/) connections.

![screenshot of add support for wireguard]({{ site.baseurl }}/images/301-networking-add-support-for-wireguard.png)

![screenshot of add support for wireguard]({{ site.baseurl }}/images/301-networking-add-support-for-wireguard-2.png)

_Many thanks to [Subho Ghosh](https://github.com/subhoghoshX) for adding this feature as part of his [Google Summer of Code](https://summerofcode.withgoogle.com/) project! And thanks to [Gil Obradors](https://github.com/gil-obradors) for his initial work._


## Try it out

Cockpit 301 is available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/301)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-15c074a031)
* [Cockpit Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-22db412e5e)

* [Cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/77)
* [Cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-751f8bb5d0)
* [Cockpit-podman Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-5fb734ce86)

* [Cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/299)
* [Cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-8dcb519f98)
* [Cockpit-machines Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-ce9f0307ad)
