---
title: Cockpit 303
author: pitti
date: '2023-10-18'
tags: cockpit, machines
slug: cockpit-303
category: release
summary: 'Detect missing AppStream metadata, VM creation with SSH keys'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 303 and cockpit-machines 300:


## Apps: Detect missing AppStream metadata

If the [AppStream](https://www.freedesktop.org/software/appstream/docs/index.html) metadata is not installed, the "Apps" page cannot show available Cockpit extensions. The page detects this now, and offers to install the metadata.

![screenshot of detect missing appstream metadata]({{ site.baseurl }}/images/303-apps-detect-missing-appstream-metadata.png)

![screenshot of detect missing appstream metadata]({{ site.baseurl }}/images/303-apps-detect-missing-appstream-metadata-2.png)

_Thanks to [leomoty](https://github.com/leomoty/) for designing this improvement!_

## Machines: Add SSH keys to VM creation dialog

When creating a new VM, cockpit-machines now offers the option to provide your SSH public key. This is stored in the `~/.ssh/authorized_keys` file of the designated non-root user, enabling immediate SSH access to the user account right after creating the VM.

![screenshot of add ssh keys to vm creation dialog]({{ site.baseurl }}/images/303-machines-add-ssh-keys-to-vm-creation-dialog.png)


## Try it out

Cockpit 303 and cockpit-machines 300 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/303)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-aeb3179cf6)
* [Cockpit Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-34fce52f0f)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/300)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-8000527351)
* [cockpit-machines Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-5d093f85ea)

*[SSH]: Secure Shell, a common protocol to securely connect to a remote computer
*[VM]: Virtual Machine
