---
title: Cockpit 306
author: pitti
date: '2023-11-29'
tags: cockpit, machines, podman, ostree
slug: cockpit-306
category: release
summary: 'kdump automation, OSTree redesign, deleting intermediate podman images'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 306, cockpit-machines 303, cockpit-podman 82, and cockpit-ostree 198.1:


## Kdump: Add Ansible/shell automation

The Kdump page can generate an [Ansible](https://www.ansible.com/automation) role or a shell script for replicating the current kdump configuration on other machines.

![screenshot of the kdump page with an Ansible button]({{ site.baseurl }}/images/306-kdump-add-ansible-shell-automation.png)

![screenshot of shell automation dialog with the "Ansible" tab selected and the "shell script" tab unselected]({{ site.baseurl }}/images/306-kdump-add-ansible-shell-automation-2.png)

## OSTree: Redesign, with new features

The OSTree page for software updates has been redesigned and includes several new features.

Update status is now listed in the "Status" card, and details about the current OSTree repository and branch are visible in the "OSTree source" card.

![new design of the OSTree page, showing off the status card]({{ site.baseurl }}/images/306-ostree-redesign-with-new-features-status-clean-up-reset-and-pin.png)

Unused deployments and package cache can be removed in using the "clean up" action.

![screenshot of the clean up modal dialog, with cache selected and deployments unselected by default]({{ site.baseurl }}/images/306-ostree-redesign-with-new-features-status-clean-up-reset-and-pin-2.png)

A new "Reset" feature has been added, which can remove layered and overriden packages.

![reset modal dialog]({{ site.baseurl }}/images/306-ostree-redesign-with-new-features-status-clean-up-reset-and-pin-3.png)

Deployments can be pinned to persist even when new deployments trigger an auto-cleanup and unpinned.

![screenshot showing a pinned deployment]({{ site.baseurl }}/images/306-ostree-redesign-with-new-features-status-clean-up-reset-and-pin-4.png)
## Machines: Change "Add disk" default behavior

The "Always attach" Persistent option will now be set by default.

## Podman: Delete intermediate images

Intermediate images have no tags or other identifiers. They are usually intermediate layers from building container images or leftovers from moved tags. Intermediate images can now be deleted within Cockpit Podman.

![screenshot of the "delete intermediate images" modal dialog]({{ site.baseurl }}/images/306-podman-delete-intermediate-images.png)

## Try it out

Cockpit 306, cockpit-machines 303, cockpit-podman 82, and cockpit-ostree 198.1 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/306)
* [Cockpit Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-4d96c042db)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-341915a0cc)
* [cockpit-machines Source Tarball]()
* [cockpit-machines Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-3bf577c576)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-727c91dbd4)
* [cockpit-ostree Source Tarball](https://github.com/cockpit-project/cockpit-ostree/releases/tag/198.1)
* [cockpit-ostree Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-cf8edd8c6c)
* [cockpit-ostree Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-e0d8c37bc8)
* [cockpit-podman Source Tarball](https://github.com/cockpit-project/cockpit-podman/releases/tag/82)
* [cockpit-podman Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2023-1d879a2b9c)
* [cockpit-podman Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-ec90e7ae52)

*[OS]: Operating System
*[repo]: repository
