---
title: Cockpit 310
author: mvo
date: '2024-01-31'
tags: cockpit, machines
slug: cockpit-310
category: release
summary: 'Btrfs creation, swap device support, virtual machine SPICE migration, and external VM snapshots'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 310 and cockpit-machines 306:

## Storage: Create btrfs filesystems and subvolumes

Cockpit's Storage page continues to support more btrfs features. It can now create new btrfs filesystems and subvolumes.

## Storage: Improved support for swap

Cockpit can now format block devices as swap and maintain a fstab entry for each.

## Machines: Action to Replace SPICE devices

Some VM host machines don't support [SPICE features](https://www.spice-space.org/spice-user-manual.html). In particular, Red Hat Enterprise Linux 9 does not support SPICE at all. Other operating systems might not have SPICE packages either.```

Virtual machines that use SPICE now have a "Replace SPICE support" action, which is useful for adjusting machines on systems that do not have SPICE support, or preparing a VM to be ready to run on a new host after migration. Replacing SPICE converts SPICE graphics to VNC, "qxl" video to "vga", and drops spice devices which do not have a replacement, such as audio and USB passthrough.

This action can be selected from the VM's menu on the machines list.

![screenshot of action to replace spice devices]({{ site.baseurl }}/images/310-machines-action-to-replace-spice-devices.png)

When a host does not have SPICE support, but the VM is configured for SPICE, then Cockpit will show an alert to explain the issue and provide a way to run the "replace SPICE" action. This may occur if a machine was migrated without replacing SPICE or if the host system was upgraded to a new version of a distribution that no longer supports SPICE.

![screenshot of action to replace spice devices]({{ site.baseurl }}/images/310-machines-action-to-replace-spice-devices-2.png)

## Machines: External snapshot support

"External" VM snapshots are more reliable and flexible than the "internal" format. External snapshots also work for raw disk images, not just for qcow2. Additionally, the internal format was [declared deprecated in RHEL 8](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/8.4_release_notes/deprecated_functionality#deprecated-functionality_virtualization).

Cockpit Machines uses the external snapshot format when using libvirt 9.9.0 or later. This is currently available in Fedora Rawhide, CentOS 9 Stream, Arch Linux, Debian Unstable, and Debian Testing.

The memory snapshot file location can be changed while the VM is running:

![screenshot of external changes]({{ site.baseurl }}/images/310-external-snapshots.png)


## Try it out

Cockpit 310 and cockpit-machines 306 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/310)
* [Cockpit Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2024-74c8bd3c4c)
* [Cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2024-f44114a0f9)
* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/306)
* [cockpit-machines Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2024-07d3bd2cd6)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2024-679fde542a)
