---
title: Cockpit 311
author: jelle
date: '2024-02-14'
tags: machines
slug: cockpit-311
category: release
summary: 'SPICE device replacement for multiple machines, storage pool support for pre-formatted block devices'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from cockpit-machines 307:


## Machines: Replace SPICE for multiple machines

"Replace SPICE devices" was introduced in [Cockpit 310](https://cockpit-project.org/blog/cockpit-310.html) to adjust VMs using SPICE to run on a host without SPICE capability. When opened from the context menu of a VM on the overview list, the dialog now offers to convert multiple VMs in a single step.

![screenshot of the "Replace SPICE devices" dialog with options to include multiple machines]({{ site.baseurl }}/images/311-machines-mass-spice-conversion.png)

## Machines: Add storage pool support for pre-formatted block devices

Virtual machine storage pools now support pre-formatted block devices. This is a more robust alternative to "physical disk devices", as it avoids the guest OS seeing the device on its own, [which may lead to unintentional reformatting of a raw disk device](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/9/html/configuring_and_managing_virtualization/managing-storage-for-virtual-machines_configuring-and-managing-virtualization#proc_creating-disk-based-storage-pools-using-the-web-console_assembly_managing-virtual-machine-storage-pools-using-the-web-console).

![Virtual machine creation modal dialog with "pre-formatted block device" selected]({{ site.baseurl }}/images/311-machines-add-support-for-pre-formatted-block-device-storage-pool-type.png)

_Thanks to Haruka Ohata for this contribution!_


## Try it out

cockpit-machines 307 is available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/311)
* [cockpit Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2024-be44af3059)
* [cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2024-7b0bc52005)

* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/307)
* [cockpit-machines Fedora 40](https://bodhi.fedoraproject.org/updates/FEDORA-2024-88b4add47e)
* [cockpit-machines Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2024-2990bb998a)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2024-811e2c68fd)


*[VM]: Virtual Machine
*[VMs]: Virtual Machines
