---
title: Cockpit 314
author: mvo
date: '2024-03-27'
tags: cockpit, ostree
slug: cockpit-314
category: release
summary: 'read-only encryption improvements, OCI container origins'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from Cockpit 314 and cockpit-ostree 201:

## Diagnostic reports: Fix command injection vulnerability with crafted report names

[Cockpit 270](https://cockpit-project.org/blog/cockpit-270.html)
introduced a possible local privilege escalation vulnerability with
deleting diagnostic reports (sosreport). Files in /var/tmp/ are
controllable by any user. In particular, an unprivileged user could
create an sosreport* file containing a `'` and a shell command, which
would then run with root privileges when the admin Cockpit user tried
to delete the report.

This Cockpit version fixes the problem by removing the files with
direct system calls instead of a shell command.

This is tracked as [CVE-2024-2947](https://www.cve.org/CVERecord?id=CVE-2024-2947).
If you need to backport this to older cockpit versions, you can apply
the [upstream patch](https://github.com/cockpit-project/cockpit/commit/9c4cc9b6df632082538b53bdc8ee9ec1c5cad4da).

If you cannot update or patch, then check the displayed report file
names for non-standard characters, in particular `'`, `$`, `(` and \`,
and don't use Cockpit's Diagnostic reports page to delete them.

## Storage: Improvements to read-only encrypted filesystems

Cockpit now unlocks encrypted filesystems with a "read-only"
encryption layer when the filesystem itself is mounted read-only.

## Ostree: Show OCI container origin

cockpit-ostree now detects and shows the origin, repository, and
branch name of [native container repositories](https://coreos.github.io/rpm-ostree/container/)
in both the "OSTree source" card and the deployment list:

![screenshot of show oci container origin]({{ site.baseurl }}/images/314-ostree-show-oci-container-origin.png)

![screenshot of show oci container origin]({{ site.baseurl }}/images/314-ostree-show-oci-container-origin-2.png)

## Try it out

Cockpit 314 and cockpit-ostree 201 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [Cockpit Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/314)
* [Cockpit Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2024-6065341780)
* [Cockpit Fedora 40](https://bodhi.fedoraproject.org/updates/FEDORA-2024-4e95f130fc)
* [cockpit-ostree Source Tarball](https://github.com/cockpit-project/cockpit-ostree/releases/tag/201)
* [cockpit-ostree Fedora 39](https://bodhi.fedoraproject.org/updates/FEDORA-2024-80a6144d2d)
* [cockpit-ostree Fedora 40](https://bodhi.fedoraproject.org/updates/FEDORA-2024-a1d54f64d2)
