---
title: Cockpit documentation
---

## Installation

To get Cockpit installed and running on your system, follow the instructions on the [installation and running page](/running.html).

After Cockpit is running, visit **ip-address-of-machine:9090** in your web browser. If your browser is on the same machine where Cockpit is running, then visit [localhost:9090](http://localhost:9090/) (for example).

## Usage

[The Red Hat Customer Portal product documentation pages](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/9/html/managing_systems_using_the_rhel_9_web_console/index) document how to use the "web console" (another name for Cockpit). While this is specifically for the version of Cockpit that ships in Red Hat Enterprise Linux, the interface and its usage is similar on other distributions where the Cockpit web console exists.

### Red Hat Enterprise Linux 9 documentation

The documentation for Red Hat Enterprise Linux 9 is the most up-to-date.

- [Managing systems using the RHEL 9 web console](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/9/html/managing_systems_using_the_rhel_9_web_console/index)

### Red Hat Enterprise Linux 8 documentation

While this documentation is for an older version of Cockpit, most is still current enough and there may be more detailed information:

- [Getting started using the RHEL web console](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/managing_systems_using_the_rhel_8_web_console/getting-started-with-the-rhel-8-web-console_system-management-using-the-rhel-8-web-console)
- [Managing user accounts in the web console](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/managing_systems_using_the_rhel_8_web_console/managing-user-accounts-in-the-web-console_system-management-using-the-rhel-8-web-console)
- [Managing systems using the RHEL 8 web console](https://access.redhat.com/documentation/en-us/red_hat_enterprise_linux/8/html/managing_systems_using_the_rhel_8_web_console/)

### SUSE ALP documentation
- [Administering SUSE ALP Dolomite using Cockpit](https://documentation.suse.com/alp/dolomite/html/cockpit-alp-dolomite/index.html)

## Cockpit Guide

The [Cockpit guide](guide/latest/) contains:

1. [Deployment guide](guide/latest/guide.html) with everything you need to know about deployment beyond what's covered on the installation page.
2. [Feature internals](guide/latest/features.html) cover the parts of the system Cockpit communicates with.
3. [Developer guide](guide/latest/development.html) contains topics such as embedding and integrating Cockpit, packages, and the Cockpit API.

More [developer-focused resources are on the contribute page](external/wiki/Contributing.html).

## Additional help

- [Frequently Asked Questions (FAQ)](faq.html)
- [Cockpit's forum @ GitHub Discussions](https://github.com/cockpit-project/cockpit/discussions/)
