---
title: Privacy Policy
---

## Preamble: Hosting Details

The Cockpit Project website is a static site that does not track, collect, store any information, or set any cookies. There is no account on the website itself.

There are some third party places where the Cockpit Project stores data:

- [GitHub Pages](https://help.github.com/articles/what-is-github-pages/) is the website host. Please [refer to GitHub's privacy practices document for details](https://help.github.com/articles/global-privacy-practices/).
- [YouTube](https://youtube.com/) videos are embedded in some pages on the website. YouTube embeds are rewritten as to not use cookies. [Refer to YouTube's privacy policy for details](https://support.google.com/youtube/answer/7671399?hl=en).
- The Cockpit Project has [a mailing list for development](https://lists.fedorahosted.org/archives/list/cockpit-devel@lists.fedorahosted.org/), and a [Matrix channel](https://matrix.to/#/#cockpit:fedoraproject.org) hosted by [the Fedora Project](https://fedora.org/). [Refer to Fedora's privacy policy for more details](https://fedoraproject.org/wiki/Legal:PrivacyPolicy).
- The Cockpit software is stored in git, on [GitHub](https://github.com/). The git software does collect names and email addresses in repositories. GitHub has account information. [Refer to GitHub's privacy practices document for details](https://help.github.com/articles/global-privacy-practices/).

## Privacy Statement for the Cockpit Project

### Scope of This Notice

This Privacy Statement is intended to describe the Cockpit Project's privacy practices and provide information about the choices you have regarding the ways in which information collected by the Cockpit Project is used and disclosed.

### Our Commitment to Privacy

At the Cockpit Project, your privacy is important to us. To better protect your privacy, we have provided this Statement explaining our information practices and the choices you can make about the way your personal information is collected, used and disclosed. To make this Statement easy to find, we have made it available on our homepage and at every location where personally-identifiable information may be requested.

### The Information We Collect

This Privacy Statement applies to all information collected by or submitted to the Cockpit Project, including personal data. "Personal data" is data that can be used to identify an individual.

The Cockpit Project collects personal data when:

* you participate in surveys and evaluations;
* you participate in promotions, contests or giveaways;
* you submit questions or comments to us.

The Cockpit Project may also collect personal data from individuals (with their consent) at conventions, trade shows and expositions.

The types of personal data collected may include (but are not limited to):

* your first and last name;
* your title and your company's name;
* your home, billing, or other physical address (including street name, name of a city or town, state/province);
* your country code;
* your e-mail address;
* your Matrix identity,
* your telephone number;
* any other identifier that permits the Cockpit Project to make physical or online contact with you;
* any information that the Cockpit Project collects online from you and maintains in association with your account, such as:
* your GPG key ID,
* your SSH public key,
* your language preference,
* your timezone,
* your geographic coordinates (longitude/latitude),
* your affiliation(s).

### Using (Processing) Your Personal Data

The Cockpit Project uses the personal data you provide to:

* attribute data and content you produce directly and indirectly in our public-facing services;
* answer your questions;
* send you information;
* for research activities, including the production of statistical reports (such aggregated information is not used to contact the subjects of the report);
* send you surveys.

### Sharing Your Personal Data

Unless you consent, the Cockpit Project will never process or share the personal data you provide to us except as described below.

The Cockpit Project may disclose your personal data to third parties under any of the following circumstances:

* As required to provide service, and for e-mail housing (as a consequence of uses already described in this Privacy Statement). It is in the Cockpit Project’s legitimate interest to provide all users an accurate record of data and content provided by The Cockpit Project’s services, and to maintain the integrity of that data and content for historical, scientific, and research purposes. This data and content may include but is not limited to email, code changes, comments, and artifacts.
* As required by law (such as responding to a valid subpoena, warrant, audit, or agency action, or to prevent fraud).
* For research activities, including the production of statistical reports (such aggregated information is used to describe our services and is not used to contact the subjects of the report).

### Receiving E-Mail

The Cockpit Project may send you e-mail to inform you of important upcoming events or to respond to your questions. For your protection, The Cockpit Project may contact you in the event that we find an issue that requires your immediate attention. The Cockpit Project processes your personal data in these cases to fulfill and comply with its contractual obligations to you, to provide the services you have requested, and to ensure the security of your account.

### Our Commitment to Data Security

Our website uses Secure Socket Layer (SSL) technology, which encrypts data to and from our website.

### Public Forums Reminder

The Cockpit Project often makes chat rooms, mailing lists, and discussions on GitHub available to its users. Please remember that any information that is disclosed in these areas becomes public information. Exercise caution when deciding to disclose your personal data. Although we value individual ideas and encourage free expression, the Cockpit Project reserves the right to take necessary action to preserve the integrity of these areas, such as removing any posting that is vulgar or inappropriate. It is in The Cockpit Project’s legitimate interests to provide all users an accurate record of data and content provided in the public forums it maintains and uses; to maintain the integrity of that data and content for historical, scientific, and research purposes; and to provide an environment for the free exchange of ideas relevant and constructive to the development and propagation of open source software.

### Our Commitment to Children's Online Privacy

Out of special concern for children's privacy, the Cockpit Project does not knowingly accept online personal information from children under the age of 13. The Cockpit Project does not knowingly allow children under the age of 13 to become registered members of our sites. The Cockpit Project does not knowingly collect or solicit personal information about children under 13.

In the event that the Cockpit Project ever decides to expand its intended site audience to include children under the age of 13, those specific web pages will, in accordance with the requirements of the Children's Online Privacy Protection Act (COPPA), be clearly identified and provide an explicit privacy notice addressed to children under 13. In addition, The Cockpit Project will provide an appropriate mechanism to obtain parental approval, allow parents to subsequently make changes to or request removal of their children's personal information, and provide access to any other information as required by law.

### About Links to Other Sites

This site contains links to other sites. the Cockpit Project does not control the information collection of sites that can be reached through links from [cockpit-project.org](/). If you have questions about the data collection procedures of linked sites, please contact these sites directly.

### Your Rights and Choices in the EEA

Where the EU General Data Protection Regulation 2016/679 (“GDPR”) applies to the processing of your personal data, especially when you access the website from a country in the European Economic Area (“EEA”), you have the following rights, subject to some limitations, against the Cockpit Project:

* The right to access your personal data;
* The right to rectify the personal data we hold about you;
* The right to erase your personal data;
* The right to restrict our use of your personal data;
* The right to object to our use of your personal data;
* The right to receive your personal data in a usable electronic format and transmit it to a third party (also known as the right of data portability); and
* The right to lodge a complaint with your local data protection authority.

If you would like to exercise any of these rights, you may do so by [contacting the Cockpit Project on Matrix](https://matrix.to/#/#cockpit:fedoraproject.org). Please understand, however, the rights enumerated above are not absolute in all cases.

Where the GDPR applies, you also have the right to withdraw any consent you have given to uses of your personal data. If you wish to withdraw consent that you have previously provided to the Cockpit Project, [please contact us via Matrix](https://matrix.to/#/#cockpit:fedoraproject.org) (`#cockpit:fedoraproject.org`). However, the withdrawal of consent will not affect the lawfulness of processing based on consent before its withdrawal.

### How to Access, Modify or Update Your Information

If you wish to remove your personal data from the Cockpit Project website, you may contact us on Matrix and request that we remove this information from the Cockpit Project website. Other locations where you may have used your personal data as an identifier (e.g. GitHub comments, list postings in the archives, git history, chat rooms, and changelogs) will not be altered.

### How to Contact Us

If you have any questions about any of these practices or the Cockpit Project's use of your personal information, please feel free to [contact us on Matrix](https://matrix.to/#/#cockpit:fedoraproject.org) (`#cockpit:fedoraproject.org`).

The Cockpit Project will work with you to resolve any concerns you may have about this Statement.

### Changes to this Privacy Statement

The Cockpit Project reserves the right to change this Privacy Statement from time to time. If we do make changes, the revised Privacy Statement will be posted on the main project’s website.

This Privacy Statement was last amended on May 24, 2018.
