---
title: Cockpit 295
author: lis
date: '2023-06-28'
tags: machines
slug: cockpit-295
category: release
summary: 'Cockpit Client on any server, UI changes for VMs'
---

Cockpit is the [modern Linux admin interface](https://cockpit-project.org/).
We release regularly.

Here are the release notes from cockpit 295 and cockpit-machines 293:

## Cockpit Client can now connect to servers without Cockpit installed

Along with the last release of Cockpit, we introduced a version of Cockpit Client to `flathub-beta` which was capable of connecting to servers, even if they don't have Cockpit installed.  This is enabled by the new Python bridge and requires at least Python 3.6 to be installed on the server being connected to.  You also need to be able to connect to the server via SSH.

This new feature has now graduated to the [official Flathub release](https://flathub.org/apps/org.cockpit_project.CockpitClient).

The ability to connect to systems without Cockpit installed also makes another feature of Cockpit Client more interesting: if you type "localhost" in the "Connect to:" box then you can now use Cockpit as a UI for your local computer.

Cockpit Client is still mostly a proof of concept, but we hope to start improving it.  Expect to see progress in coming releases.

## Machines: Show virtual interface's TAP device

Network interfaces attached to VMs have a corresponding TAP device on the host, which represents the VM's low-level connection to the host's network environment.  This device is now shown in the "Network interfaces" list for the virtual machine.

![Screenshot from 2023-06-26 12-43-15]({{ site.baseurl }}/images/295-show-virtual-interface-s-tap-device.png)

## Machines: Confirm shutdown actions

Ask for confirmation for every action which can cause downtime.  The dialog also shows the current uptime of the VM to help the user ensure that they have selected the intended VM.

![248766553-adebffd9-af32-4f24-9121-45ba8bc06540]({{ site.baseurl }}/images/295-machines-confirm-shutdown-actions.png)


## Try it out

Cockpit 295 and cockpit-machines 293 are available now:

* [For your Linux system](https://cockpit-project.org/running.html)
* [Cockpit Client](https://flathub.org/apps/details/org.cockpit_project.CockpitClient)

* [cockpit Source Tarball](https://github.com/cockpit-project/cockpit-machines/releases/tag/295)
* [cockpit Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-86e1c89fff)
* [cockpit Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-71a683d759)

* [cockpit-machines Source Tarball](https://github.com/cockpit-project/cockpit/releases/tag/293)
* [cockpit-machines Fedora 38](https://bodhi.fedoraproject.org/updates/FEDORA-2023-321097a133)
* [cockpit-machines Fedora 37](https://bodhi.fedoraproject.org/updates/FEDORA-2023-c522f0ce3b)

*[VM]: Virtual Machine
